node-red-contrib-codef
========================

<a href="http://nodered.org" target="_new">Node-RED</a> 

<a href="https://www.npmjs.com/package/easycodef-node" target="_new">easycodef-node wrapper</a>.

Install
-------

Run the following command in the root directory of your Node-RED install:

    npm install node-red-contrib-codef --save

## How to use

  #### 서비스 타입 설정 및 키 설정 - ~/.codef/configure
      - 샌드박스 : SERVICE_TYPE=SERVICE_TYPE_SANDBOX
      - 데모 : SERVICE_TYPE=SERVICE_TYPE_DEMO
      - 운영 : SERVICE_TYPE=SERVICE_TYPE_API
      
 #### 요청 파라미터 설정
   - 계정관리 파라미터를 설정(https://developer.codef.io/cert/account/cid-overview)
   

 #### 응답 결과 확인
 
 ------------
 
###  To use node-red-contrib-codef, you must first create an authentication key.

### Save the generated authentication key information.

- Save the authentication key information to ~/.codef/configure for Mac/Linux and C:\Users\USERNAME\\.codef\configure for Windows.

- ~/.codef/configure example

```
#- 샌드박스 : EasyCodefConstant.SERVICE_TYPE
#- 데모 : EasyCodefConstant.SERVICE_TYPE_DEMO
#- 운영 : EasyCodefConstant.SERVICE_TYPE_API

DEMO_CLIENT_ID=
DEMO_CLIENT_SECRET=
CLIENT_ID=
CLIENT_SECRET=
PUBLIC_KEY=
SERVICE_TYPE=SERVICE_TYPE_SANDBOX or SERVICE_TYPE_API or SERVICE_TYPE_DEMO

```

## codef  

<i><a href="https://www.npmjs.com/package/easycodef-node" target="_new">codef</a></i> api request node.

### action parameter
- need action
    - createAccount 
    - addAccount 
    - updateAccount 
    - deleteAccount 
    - /v1/kr/card/p/account/card-list : 카드 보유 리스트
    - /v1/kr/bank/b/account/account-list : 은행 보유 계좌 리스트
    - refer to other api on https://developer.codef.io/products

### param parameter
- need param

### accountList parameter
- need accountList if action is createAccount, addAccount, updateAccount, deleteAccount

## request parameter sample 
```javascript
msg.action = 'createAccount';
msg.accountList = [];
const accountIDPWD = {
  countryCode: 'KR',
  businessType: 'BK',
  clientType: 'P',
  organization: '0081',
  loginType: '1',
  id: 'user_id',
  password: 'user_password'
};

msg.accountList.push(accountIDPWD);

// get card list
msg.action = '/v1/kr/card/p/account/card-list';
msg.param = {
  connectedId: 'byi1wYwD40k8hEIiXl6bRF',
  organization: '0309',
  birthDate : '',
  inquiryType: '0'
};
return msg;
```

## sample flow

- Ctrl+c & Ctrl+v by import function

```json
[{"id":"63d6961d.1a8c38","type":"codef","z":"d4ad27e3.29f578","action":"","x":710,"y":60,"wires":[["68b7fffa.020c3"]]},{"id":"aa25d4a6.53fbd8","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":60,"wires":[["c6a832a5.dc6f8"]]},{"id":"3e5c27f0.1fa6d8","type":"debug","z":"d4ad27e3.29f578","name":"","active":true,"tosidebar":true,"console":false,"tostatus":false,"complete":"false","statusVal":"","statusType":"auto","x":1210,"y":60,"wires":[]},{"id":"c6a832a5.dc6f8","type":"function","z":"d4ad27e3.29f578","name":"createAccount","func":"// create account\nmsg.action = 'createAccount';\nmsg.accountList = [];\nconst accountIDPWD = {\n  countryCode: 'KR',\n  businessType: 'BK',\n  clientType: 'P',\n  organization: '0081',\n  loginType: '1',\n  id: 'user_id',\n  password: 'user_password'\n};\n\nmsg.accountList.push(accountIDPWD);\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":280,"y":60,"wires":[["63d6961d.1a8c38"]]},{"id":"52aae555.6a6dbc","type":"function","z":"d4ad27e3.29f578","name":"","func":"\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":1020,"y":60,"wires":[["3e5c27f0.1fa6d8"]]},{"id":"68b7fffa.020c3","type":"json","z":"d4ad27e3.29f578","name":"","property":"payload","action":"","pretty":false,"x":850,"y":60,"wires":[["52aae555.6a6dbc"]]},{"id":"358c95f7.f7504a","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/card/p/account/card-list","func":"// get card list\nmsg.action = '/v1/kr/card/p/account/card-list';\n\nmsg.param = {\n  connectedId: 'byi1wYwD40k8hEIiXl6bRF',\n  organization: '0309',\n  birthDate : '',\n  inquiryType: '0'\n};\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":320,"y":100,"wires":[["63d6961d.1a8c38"]]},{"id":"ca3d68db.7fa998","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/bank/p/account/transaction-list","func":"// get transaction list\nmsg.action = '/v1/kr/bank/p/account/transaction-list';\nmsg.param = {\n  connectedId: 'byi1wYwD40k8hEIiXl6bRF',\n  organization: '0309',\n  account : '1002440000000',\n  orderBy : '0',\n  startDate : '20200101',\n  endDate: '20201202'\n};\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":350,"y":140,"wires":[["63d6961d.1a8c38"]]},{"id":"36310e47.03c5c2","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":100,"wires":[["358c95f7.f7504a"]]},{"id":"a7926daa.cbec7","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":140,"wires":[["ca3d68db.7fa998"]]},{"id":"d006e868.eaf4d8","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/bank/p/installment-savings/transaction-list","func":"// get installment-savings transaction list\nmsg.action = '/v1/kr/bank/p/installment-savings/transaction-list';\nmsg.param = {\n  connectedId: 'byi1wYwD40k8hEIiXl6bRF',\n  organization: '0309',\n  account : '1002440000000',\n  orderBy : '0',\n  startDate : '20200101',\n  endDate: '20201202'\n};\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":380,"y":180,"wires":[["63d6961d.1a8c38"]]},{"id":"95daa643.d95c38","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":180,"wires":[["d006e868.eaf4d8"]]},{"id":"9f52699.489fc98","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/bank/p/loan/transaction-list","func":"// get transaction list\nmsg.action = '/v1/kr/bank/p/loan/transaction-list';\nmsg.param = {\n  connectedId: 'byi1wYwD40k8hEIiXl6bRF',\n  organization: '0309',\n  account : '1002440000000',\n  orderBy : '0',\n  startDate : '20200101',\n  endDate: '20201202'\n};\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":340,"y":220,"wires":[["63d6961d.1a8c38"]]},{"id":"c05e08b9.232ed8","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":220,"wires":[["9f52699.489fc98"]]},{"id":"879a769c.dade38","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/bank/p/fast-account/transaction-list","func":"// get transaction list\nmsg.action = '/v1/kr/bank/p/fast-account/transaction-list';\nmsg.param = {\n  connectedId: 'byi1wYwD40k8hEIiXl6bRF',\n  organization: '0309',\n  account : '1002440000000',\n  orderBy : '0',\n  startDate : '20200101',\n  endDate: '20201202'\n};\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":360,"y":260,"wires":[["63d6961d.1a8c38"]]},{"id":"230710ca.63934","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":260,"wires":[["879a769c.dade38"]]},{"id":"6de86393.7cc69c","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/bank/b/account/account-list","func":"// get transaction list\nmsg.action = '/v1/kr/bank/b/account/account-list';\nmsg.param = {\n  connectedId: 'byi1wYwD40k8hEIiXl6bRF',\n  organization: '0309',\n  account : '1002440000000',\n  orderBy : '0',\n  startDate : '20200101',\n  endDate: '20201202'\n};\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":340,"y":300,"wires":[["5940bd55.785c54"]]},{"id":"cc544f05.a9e21","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":300,"wires":[["6de86393.7cc69c"]]},{"id":"6389e785.07ae08","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/bank/b/account/transaction-list","func":"// get transaction list\nmsg.action = '/v1/kr/bank/b/account/transaction-list';\nmsg.param = {\n  connectedId: 'byi1wYwD40k8hEIiXl6bRF',\n  organization: '0309',\n  account : '1002440000000',\n  orderBy : '0',\n  startDate : '20200101',\n  endDate: '20201202'\n};\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":350,"y":340,"wires":[["5940bd55.785c54"]]},{"id":"ea081e8b.c1bbd","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":340,"wires":[["6389e785.07ae08"]]},{"id":"294ff942.733966","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/bank/b/installment-savings/transaction-list","func":"// get transaction list\nmsg.action = '/v1/kr/bank/b/installment-savings/transaction-list';\nmsg.param = {\n  connectedId: 'byi1wYwD40k8hEIiXl6bRF',\n  organization: '0309',\n  account : '1002440000000',\n  orderBy : '0',\n  startDate : '20200101',\n  endDate: '20201202'\n};\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":380,"y":380,"wires":[["5940bd55.785c54"]]},{"id":"b628c4eb.285c48","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":380,"wires":[["294ff942.733966"]]},{"id":"a0d6190.95b73e8","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/bank/b/loan/transaction-list","func":"// get transaction list\nmsg.action = '/v1/kr/bank/b/loan/transaction-list';\nmsg.param = {\n  connectedId: 'byi1wYwD40k8hEIiXl6bRF',\n  organization: '0309',\n  account : '1002440000000',\n  orderBy : '0',\n  startDate : '20200101',\n  endDate: '20201202'\n};\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":340,"y":420,"wires":[["5940bd55.785c54"]]},{"id":"124a08c8.4896d7","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":420,"wires":[["a0d6190.95b73e8"]]},{"id":"cee26dad.7b2f1","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/bank/b/exchange/transaction-list","func":"// get transaction list\nmsg.action = '/v1/kr/bank/b/exchange/transaction-list';\nmsg.param = {\n  connectedId: 'byi1wYwD40k8hEIiXl6bRF',\n  organization: '0309',\n  currency: 'KRW',\n  account : '1002440000000',\n  orderBy : '0',\n  startDate : '20200101',\n  endDate: '20201202'\n};\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":350,"y":460,"wires":[["5940bd55.785c54"]]},{"id":"6c303d61.c43c94","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":460,"wires":[["cee26dad.7b2f1"]]},{"id":"b29d25f4.2a6b68","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/bank/b/fund/transaction-list","func":"// get transaction list\nmsg.action = '/v1/kr/bank/b/fund/transaction-list';\nmsg.param = {\n  connectedId: 'byi1wYwD40k8hEIiXl6bRF',\n  organization: '0309',\n  currency: 'KRW',\n  account : '1002440000000',\n  orderBy : '0',\n  startDate : '20200101',\n  endDate: '20201202'\n};\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":340,"y":500,"wires":[["5940bd55.785c54"]]},{"id":"1dd87d19.d0f733","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":500,"wires":[["b29d25f4.2a6b68"]]},{"id":"51470f0e.a88b5","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/bank/b/fast-account/transaction-list","func":"// get transaction list\nmsg.action = '/v1/kr/bank/b/fast-account/transaction-list';\nmsg.param = {\n  connectedId: 'byi1wYwD40k8hEIiXl6bRF',\n  organization: '0309',\n  currency: 'KRW',\n  account : '1002440000000',\n  orderBy : '0',\n  startDate : '20200101',\n  endDate: '20201202'\n};\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":360,"y":540,"wires":[["5940bd55.785c54"]]},{"id":"26e3d57c.67ea9a","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":540,"wires":[["51470f0e.a88b5"]]},{"id":"4425fe67.be199","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/bank/b/account/account-password-verification","func":"\nmsg.action = '/v1/kr/bank/b/account/account-password-verification';\nmsg.param = {\n  connectedId: 'byi1wYwD40k8hEIiXl6bRF',\n  organization: '0309',\n   \"withdrawAccountNo\": \"1002440000000\",\n   \"withdrawAccountPassword\": \"1234\",\n   \"transferPassword\": \"\"\n};\n// result\n// Key\tName\tType\tRequired\tDescription\n// resResultCode\t결과코드\tString\tO\t0:false, 1:true, 2: true(이체비밀번호 오류(신협만 해당))\n// resResultDesc\t결과메세지\tString\tO\t[계좌비밀번호 오류 횟수], (ex. '01', '02',...,'99' )\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":390,"y":580,"wires":[["5940bd55.785c54"]]},{"id":"1aa2c6f1.af1669","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":580,"wires":[["4425fe67.be199"]]},{"id":"2f9a38e3.0ac428","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/bank/a/account/holder","func":"// get transaction list\nmsg.action = '/v1/kr/bank/a/account/holder';\nmsg.param = {\n   \"organization\":\"0020\",\n   \"account\":\"1002000111222\",\n};\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":320,"y":620,"wires":[["12b05fb7.3ac42"]]},{"id":"8204716e.f7276","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":620,"wires":[["2f9a38e3.0ac428"]]},{"id":"1ec23367.9995cd","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/bank/a/account/holder-authentication","func":"\nmsg.action = '/v1/kr/bank/a/account/holder-authentication';\nmsg.param = {\n   \"organization\":\"0020\",\n   \"account\":\"1002000111222\",\n   \"identity\":\"900101\",\n};\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":370,"y":660,"wires":[["12b05fb7.3ac42"]]},{"id":"e55aa8f3.53ee88","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":660,"wires":[["1ec23367.9995cd"]]},{"id":"1d75e3ce.bc956c","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/bank2/p/account/account-list","func":"// get transaction list\nmsg.action = '/v1/kr/bank2/p/account/account-list';\nmsg.param = {\n  connectedId: 'byi1wYwD40k8hEIiXl6bRF',\n   \"organization\":\"0020\",\n   \"bankName\":\"sky\"\n};\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":340,"y":700,"wires":[["d603d2c9.f610d"]]},{"id":"e4de1ed.b75f9e","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":700,"wires":[["1d75e3ce.bc956c"]]},{"id":"b45f8b4f.1aa258","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/bank2/p/account/transaction-list","func":"// get transaction list\nmsg.action = '/v1/kr/bank2/p/account/transaction-list';\nmsg.param = {\n  connectedId: 'byi1wYwD40k8hEIiXl6bRF',\n  organization: '0309',\n  currency: 'KRW',\n  account : '1002440000000',\n  orderBy : '0',\n  startDate : '20200101',\n  endDate: '20201202'\n};\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":350,"y":740,"wires":[["d603d2c9.f610d"]]},{"id":"147f315d.c58e7f","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":740,"wires":[["b45f8b4f.1aa258"]]},{"id":"4ce78bda.41dc24","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/card/p/user/registration-status","func":"// get transaction list\nmsg.action = '/v1/kr/card/p/user/registration-status';\nmsg.param = {\n  connectedId: 'byi1wYwD40k8hEIiXl6bRF',\n   \"organization\":\"0307\",\n   \"inquiryType\": \"\",\n   \"identity\":\"\",\n   \"userId\":\"\",\n   \"cardNo\":\"\",\n   \"cardPassword\":\"\",\n   \"cardValidPeriod\":\"\"\n};\n\n// result\n// 등록여부 데이터\n// 등록여부 data 객체입니다.\n// - 단건의 경우 객체형, 다건의 경우 리스트 형으로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resRegistrationStatus\t등록여부\tString\tO\t0: 미등록, 1: 기등록(정상등록)\n// resResultDesc\t결과메시지\tString\t△\t미등록 사유\n// resRegStatusList\t등록상태 리스트\tObject\tO\t[인증서등록 결과 List] inquiryType=1 인 경우 제공\n// resRegStatusList\n// resRegStatusList 리스트 객체입니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resRegistrationStatus\t등록여부\tString\tO\t\n// \"0\":등록성공, \"1\":등록실패(인증서 오류), \"2\":등록실패(주민번호 오류), \"3\":등록실패(회원 미가입), \"4\":등록실패(기타), \"5\":등록실패(아이디 오류), \"6\":등록실패(카드번호 오류)\n// resResultDesc\t결과 메세지\tString\t△\t인증서 등록실패 사유\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":340,"y":780,"wires":[["eea10f15.0eb44"]]},{"id":"4ecdb62d.5b7428","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":780,"wires":[["4ce78bda.41dc24"]]},{"id":"d603d2c9.f610d","type":"codef","z":"d4ad27e3.29f578","action":"","x":710,"y":700,"wires":[["9f882a3e.e97528"]]},{"id":"17f40e7c.a808c2","type":"debug","z":"d4ad27e3.29f578","name":"","active":true,"tosidebar":true,"console":false,"tostatus":false,"complete":"false","statusVal":"","statusType":"auto","x":1210,"y":700,"wires":[]},{"id":"97381aae.0815a8","type":"function","z":"d4ad27e3.29f578","name":"","func":"\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":1020,"y":700,"wires":[["17f40e7c.a808c2"]]},{"id":"9f882a3e.e97528","type":"json","z":"d4ad27e3.29f578","name":"","property":"payload","action":"","pretty":false,"x":850,"y":700,"wires":[["97381aae.0815a8"]]},{"id":"5940bd55.785c54","type":"codef","z":"d4ad27e3.29f578","action":"","x":710,"y":300,"wires":[["910be591.22f888"]]},{"id":"6f3a9b0a.7ca234","type":"debug","z":"d4ad27e3.29f578","name":"","active":true,"tosidebar":true,"console":false,"tostatus":false,"complete":"false","statusVal":"","statusType":"auto","x":1210,"y":300,"wires":[]},{"id":"366b5000.ec6fa","type":"function","z":"d4ad27e3.29f578","name":"","func":"\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":1020,"y":300,"wires":[["6f3a9b0a.7ca234"]]},{"id":"910be591.22f888","type":"json","z":"d4ad27e3.29f578","name":"","property":"payload","action":"","pretty":false,"x":850,"y":300,"wires":[["366b5000.ec6fa"]]},{"id":"12b05fb7.3ac42","type":"codef","z":"d4ad27e3.29f578","action":"","x":710,"y":620,"wires":[["6ae31949.aca7c8"]]},{"id":"de2c881.a37bb78","type":"debug","z":"d4ad27e3.29f578","name":"","active":true,"tosidebar":true,"console":false,"tostatus":false,"complete":"false","statusVal":"","statusType":"auto","x":1210,"y":620,"wires":[]},{"id":"c38a73b9.ee4bd","type":"function","z":"d4ad27e3.29f578","name":"","func":"\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":1020,"y":620,"wires":[["de2c881.a37bb78"]]},{"id":"6ae31949.aca7c8","type":"json","z":"d4ad27e3.29f578","name":"","property":"payload","action":"","pretty":false,"x":850,"y":620,"wires":[["c38a73b9.ee4bd"]]},{"id":"34be80ad.631b2","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/card/p/account/card-list","func":"\nmsg.action = '/v1/kr/card/p/account/card-list';\nmsg.param = {\n  \"connectedId\": 'byi1wYwD40k8hEIiXl6bRF',\n   \"organization\":\"0020\",\n   \"birthDate\":\"\",\n   \"inquiryType\":\"0\"\n};\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":320,"y":820,"wires":[["eea10f15.0eb44"]]},{"id":"e1a0179b.507188","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":820,"wires":[["34be80ad.631b2"]]},{"id":"ec48a982.8b6368","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/card/p/account/approval-list","func":"\nmsg.action = '/v1/kr/card/p/account/approval-list';\nmsg.param = {\n  \"connectedId\": 'byi1wYwD40k8hEIiXl6bRF',\n   \"organization\":\"0020\",\n   \"birthDate\":\"\",\n   \"startDate\": \"20190601\",\n   \"endDate\": \"20190619\",\n   \"orderBy\": \"0\",\n   \"inquiryType\":\"1\",\n   \"cardNo\":\"6253123456780000\",\n   \"cardName\":\"\",\n   \"duplicateCardIdx\":\"\",\n   \"memberStoreInfoType\":\"0\"\n};\n// result\n// 승인내역 데이터\n// 승인내역 data 객체입니다.\n// - 단건의 경우 객체형, 다건의 경우 리스트 형으로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resUsedDate\t사용일자\tString\tO\t\n// resUsedTime\t사용일시\tString\t△\t\n// resCardNo\t카드번호\tString\tO\t\n// resCardName\t카드명\tString\t△\t\n// resMemberStoreName\t가맹점명\tString\t△\t\n// resUsedAmount\t이용금액\tString\tO\t\n// resPaymentType\t결제방법\tString\tO\t1:일시불, \"2\":할부, \"3\":그외\n// resInstallmentMonth\t할부개월\tString\t△\t할부건인 경우 필수\n// resAccountCurrency\t통화코드\tString\tO\tKRW: 한국원화, JPY: 일본 엔, USD: 미국 달러\n// EUR: 유로( ISO 4217 코드)\n// resApprovalNo\t승인번호\tString\t△\t\n// resPaymentDueDate\t결제예정일\tString\t△\t\n// resHomeForeignType\t국내/외 구분\tString\tO\t\"1\":국내, \"2\":해외\n// resMemberStoreCorpNo\t가맹점 사업자번호\tString\t△\t\n// resMemberStoreType\t가맹점 업종\tString\t△\t\n// resMemberStoreTelNo\t가맹점 전화번호\tString\t△\t\n// resMemberStoreAddr\t가맹점 주소\tString\t△\t\n// resMemberStoreNo\t가맹점 번호\tString\t△\t해외건 또는 미승인내역의 경우 미제공\n// resCancelYN\t취소여부\tString\tO\t\"0\": 정상, \"1\": 취소, \"2\": 부분취소, \"3\": 거절\n// resCancelAmount\t취소금액\tString\t△\t취소건인경우만 제공\n// resVAT\t부가세\tString\t△\t\n// resCashBack\t봉사료\tString\t△\t\n// resKRWAmt\t원화금액\tString\t△\t\n// commStartDate\t시작일자\tString\t△\t(요청일 기준 최대 조회 가능시작일, YYYYMMDD)\n// commEndDate\t종료일자\tString\t△\t(YYYYMMDD)\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":340,"y":860,"wires":[["eea10f15.0eb44"]]},{"id":"378e5402.d91c4c","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":860,"wires":[["ec48a982.8b6368"]]},{"id":"d9a8c205.02fc1","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/card/p/account/billing-list","func":"// get transaction list\nmsg.action = '/v1/kr/card/p/account/billing-list';\nmsg.param = {\n  \"connectedId\": 'byi1wYwD40k8hEIiXl6bRF',\n   \"organization\":\"0020\",\n   \"birthDate\":\"\",\n   \"startDate\":\"\",\n   \"memberStoreInfoYN\":\"0\"\n};\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":330,"y":900,"wires":[["eea10f15.0eb44"]]},{"id":"babcb6a9.79f258","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":900,"wires":[["d9a8c205.02fc1"]]},{"id":"51f89466.87aa3c","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/card/p/account/limit","func":"\nmsg.action = '/v1/kr/card/p/account/limit';\nmsg.param = {\n  \"connectedId\": 'byi1wYwD40k8hEIiXl6bRF',\n   \"organization\":\"0020\",\n   \"birthDate\":\"\"\n};\n\n// result\n// 카드한도 데이터\n// 카드한도 data 객체입니다.\n// - 단건의 경우 객체형, 다건의 경우 리스트 형으로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resCardCompany\t카드사\tString\t△\t카드발급사 (회원사) : NH/비씨카드에서 사용됨\n// resLimitOfTotalList\t총한도 반복부 키\tObject\tO\t\n// resLimitOfFullTotalList\t일시불 반복부 키\tObject\tO\t\n// resLimitOfInstallmentList\t할부 반복부 키\tObject\tO\t\n// resLimitOfShortLoanList\t현금서비스 반복부 키\tObject\tO\t\n// 카드한도 반복부 객체\n// resLimitOfTotalList, resLimitOfFullTotalList, resLimitOfInstallmentList, resLimitOfShortLoanList 등 4가지 객체가 같은 필드값을 갖습니다. 각 반복부에 3개 필드 값이 모두 같습니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resLimitAmount\t이용한도\tString\tO\t\n// resUsedAmount\t이용금액\tString\t△\t\n// resRemainLimit\t잔여한도\tString\t△\t\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":310,"y":940,"wires":[["eea10f15.0eb44"]]},{"id":"34781dbf.441d62","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":940,"wires":[["51f89466.87aa3c"]]},{"id":"3d7f26b2.c1bc1a","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/card/p/account/result-check-list","func":"// get transaction list\nmsg.action = '/v1/kr/bank/b/exchange/transaction-list';\nmsg.param = {\n  \"connectedId\": 'byi1wYwD40k8hEIiXl6bRF',\n   \"organization\":\"0309\",\n  \"currency\": 'KRW',\n  \"account\" : '1002440000000',\n  \"orderBy\" : '0',\n  \"startDate\" : '20200101',\n  \"endDate\": '20201202',\n   \"birthDate\":\"\"\n};\n\n// result\n// 카드실적 데이터\n// 카드실적 data 객체입니다.\n// - 단건의 경우 객체형, 다건의 경우 리스트 형으로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resCardName\t카드명\tString\tO\t \n// resCardNo\t카드번호\tString\t△\t \n// resCardType\t카드구분\tString\t△\t(소지자구분)\n// resCardCompany\n// 카드사\tString\t△\t[회원사]\n// resLnkUrl\t바로가기 (lnk Url)\tString\t△\t[카드상세혜택 바로가기 (lnk url)]\n// resCardBenefitList\n// 카드혜택 반복부 키\tObject\tO\t \n// resCardBenefitList\n// 카드혜택 반복부 객체입니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resType\t구분\tString\t△\t[혜택구분]\n// resCardBenefitName\n// 카드 혜택명\tString\t△\t(대표) 카드 혜택명\n// resBusinessTypes\n// 업태(업종)\tString\t△\t(분류/가맹점)\n// resCardPerformanceList\n// 카드 실적현황 반복부 키\tObject\tO\t \n// resDetailList\t상세내역 반복부 키\tObject\tO\t[카드 (혜택) 상세 List]\n// resCardPerformanceList\n// 카드 실적현황 반복부 객체입니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resMeetPerformanceYN\n// 실적 충족여부\tString\t△\t(0:부족, 1:충족)\n// resStandardUseAmt\n// 기준이용금액\tString\t△\t \n// resCurrentUseAmt\n// 현재이용금액\tString\t△\t \n// resRequiredPerformanceAmt\n// 필요실적금액\tString\t△\t \n// commStartDate\t시작일\tString\t△\t[이용금액 반영기간 시작일], yyyyMMdd\n// commEndDate\t종료일\tString\t△\t[이용금액 반영기간 종료일], yyyyMMdd\n// resCoverageCriteria\n// 제공기준\tString\t△\t \n// resDetailList\n// 상세내역 반복부 객체입니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resCardBenefitName\t카드 혜택명\tString\t△\t(0:부족, 1:충족)\n// resPerformanceConditions\t실적조건\tString\t△\t \n// resBusinessTypes\t업태(업종)\tString\t△\t(분류/가맹점)\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":350,"y":980,"wires":[["eea10f15.0eb44"]]},{"id":"7aa12ce7.d18594","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":980,"wires":[["3d7f26b2.c1bc1a"]]},{"id":"da56ab3b.36ae88","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/card/p/member-store/bulk/inflow","func":"\nmsg.action = '/v1/kr/card/p/member-store/bulk/inflow';\nmsg.param = {\n\n   \"organization\":\"0020\",\n   \"birthDate\" :\"\",\n   \"reqMemberStoreNoList\":[{\n   \"reqMemberStoreNo\":\"1*********\",\n    }],\n};\n// result\n// 가맹점 정보 수집 대상 등록 출력부(Output)\n// 가맹점 정보 수집 대상 등록 데이터\n// 가맹점 정보 수집 대상 등록결과 입니다.\n\n// Key\tName\tType\tRequired\tDescription\n// reqCount\t요청 건수\tString\tO\t\n// inflowCount\t신규등록 건수\tString\tO\t\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":350,"y":1020,"wires":[["eea10f15.0eb44"]]},{"id":"3b5f747.808ba8c","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":1020,"wires":[["da56ab3b.36ae88"]]},{"id":"52284f18.44d6e","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/card/p/member-store/detail","func":"\nmsg.action = '/v1/kr/card/p/member-store/detail';\nmsg.param = {\n   \"organization\":\"0020\",\n   \"reqMemberStoreNoList\":[],\n};\n\n// result\n// 가맹점 정보 출력부(Output)\n// 가맹점 정보 data 객체입니다. 아래 파라미터는 반복부로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resMemberStoreNo\t가맹점번호\tString\tO\t입력받은 가맹점번호\n// resMemberStoreCorpNo\t가맹점 사업자번호\tString\tO\t\n// resMemberStoreType\t가맹점 업종\tString\t△\t\n// resMemberStoreTelNo\t가맹점 전화번호\tString\t△\t\n// resMemberStoreAddr\t가맹점주소\tString\t△\t\n// resCeoName\t대표자\tString\t△\t[대표자명]\n// resLnkUrl\t바로가기\tString\t△\t[홈페이지 주소]\n// commStartDate\t조회시작일자\tString\t△\t[조회기간_시작일자]\n// commEndDate\t조회종료일자\tString\t△\t[조회기간_종료일자]\n// resResultCode\t결과코드\tString\tO\t스크래핑 건별 결과코드 (espider errorCode) : 성공일 경우 0으로\n// resUserError\tUserError\tString\tO\t스크래핑 건별 userError (espider errorCode)\n// resUserErrorMessage\tUserErrorMessage\tString\tO\t스크래핑 건별 userErrorMessage (espider errorCode)\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":340,"y":1060,"wires":[["eea10f15.0eb44"]]},{"id":"293964f2.20af8c","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":1060,"wires":[["52284f18.44d6e"]]},{"id":"75f0e81e.4e0c08","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/card/p/deferred-payment/hi-pass","func":"\nmsg.action = '/v1/kr/card/p/deferred-payment/hi-pass';\nmsg.param = {\n  \"connectedId\": 'byi1wYwD40k8hEIiXl6bRF',\n   \"organization\":\"0301\",\n   \"birthDate\":\"\",\n   \"startDate\":\"yyyyMMdd\",\n   \"endDate\":\"yyyyMMdd\",\n   \"orderBy\":\"0\",\n   \"inquiryType\":\"1\",\n   \"cardNo\":\"\",\n   \"cardName\":\"\",\n   \"duplicateCardIdx\":\"\"\n};\n\n// result\n// 후불 하이패스 출력부(Output)\n// 후불 하이패스 데이터\n// 후불 하이패스 data 객체입니다.\n// - 단건의 경우 객체형, 다건의 경우 리스트 형으로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resUsedDate\t사용일자\tString\tO\tyyyyMMdd\n// resCardNo\t카드번호\tString\tO\t \n// resMemberStoreName\t가맹점명\tString\tO\t \n// resUsedAmount\t이용금액\tString\tO\t \n// resPaymentDueDate\t결제예정일\tString\t△\tyyyyMMdd\n// resDepartureTime\t출발시간\tString\tO\thhmmss\n// resArrivalTime\t도착시간\tString\tO\thhmmss\n// resDepartureStation\t출발역\tString\t△\t \n// resArrivalStation\t도착역\tString\t△\t \n// commStartDate\t시작일자\tString\tO\t\n// (요청일 기준 최대 조회 가능시작일, YYYYMMDD)\n// commEndDate\t종료일자\tString\tO\t(YYYYMMDD)\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":350,"y":1100,"wires":[["eea10f15.0eb44"]]},{"id":"328ad0dd.5459c","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":1100,"wires":[["75f0e81e.4e0c08"]]},{"id":"d63f2a34.6a8158","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/stock/a/user/registration-status","func":"// get transaction list\nmsg.action = '/v1/kr/stock/a/user/registration-status';\nmsg.param = {\n  connectedId: 'byi1wYwD40k8hEIiXl6bRF',\n  \"organization\":\"0264\"\n};\n// result\n// Key\tName\tType\tRequired\tDescription\n// resRegistrationStatus\t등록여부\tString\tO\t\"0\": false, \"1\": true\n// resResultDesc\t결과메시지\tString\t△\t\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":350,"y":2120,"wires":[["fedba1a9.57d75"]]},{"id":"496eb504.836bfc","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":2120,"wires":[["d63f2a34.6a8158"]]},{"id":"a3472878.8aaab8","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/stock/a/account/account-list","func":"// get transaction list\nmsg.action = '/v1/kr/stock/a/account/account-list';\nmsg.param = {\n  connectedId: 'byi1wYwD40k8hEIiXl6bRF',\n   \"organization\":\"0264\",\n};\n\n// results\n// Key\tName\tType\tRequired\tDescription\n// resAccount\t계좌번호\tString\tO\t\n// resAccountDisplay\t계좌번호_표시용\tString\tO\t\n// resAccountName\t계좌명(유형)\tString\tO\t\n// resAccountNickName\t계좌별칭\tString\t△\t\n// resPrincipal\t원금\tString\t△\t\n// resPurchaseAmount\t매입금액\tString\t△\t\n// resLoanAmt\t대출금액\tString\t△\t\n// resValuationAmt\t평가금액\tString\t△\t\n// resValuationPL\t평가손익\tString\t△\t\n// resWithdrawalAmt\t출금가능금액\tString\t△\t\n// resDepositReceived\t예수금\tString\t△\t\n// resDepositReceivedD1\t예수금(D+1)\tString\t△\t\n// resDepositReceivedD2\t예수금(D+2)\tString\t△\t\n// resDepositReceivedF\t외화예수금\tString\t△\t\n// resEarningsRate\t수익률\tString\t△\t\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":340,"y":2160,"wires":[["fedba1a9.57d75"]]},{"id":"629d8912.062518","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":2160,"wires":[["a3472878.8aaab8"]]},{"id":"df01ce3d.d71d7","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/stock/a/account/transaction-list","func":"\nmsg.action = '/v1/kr/stock/a/account/transaction-list';\nmsg.param = {\n  connectedId: 'byi1wYwD40k8hEIiXl6bRF',\n   \"organization\":\"0264\",\n   \"account\":\"4555***\",\n   \"accountPassword\":\"RSApassword\",\n   \"startDate\":\"20190820\",\n   \"endDate\":\"20191014\",\n   \"orderBy\":\"0\"\n};\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":350,"y":2200,"wires":[["fedba1a9.57d75"]]},{"id":"6d4abba2.3ffa24","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":2200,"wires":[["df01ce3d.d71d7"]]},{"id":"fedba1a9.57d75","type":"codef","z":"d4ad27e3.29f578","action":"","x":690,"y":2120,"wires":[["cc27b416.89bd98"]]},{"id":"cc7b274d.508818","type":"debug","z":"d4ad27e3.29f578","name":"","active":true,"tosidebar":true,"console":false,"tostatus":false,"complete":"false","statusVal":"","statusType":"auto","x":1190,"y":2120,"wires":[]},{"id":"b760274.a1c5dd8","type":"function","z":"d4ad27e3.29f578","name":"","func":"\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":1000,"y":2120,"wires":[["cc7b274d.508818"]]},{"id":"cc27b416.89bd98","type":"json","z":"d4ad27e3.29f578","name":"","property":"payload","action":"","pretty":false,"x":830,"y":2120,"wires":[["b760274.a1c5dd8"]]},{"id":"1d0af203.c78d8e","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/stock/a/account/financial-assets","func":"\nmsg.action = '/v1/kr/stock/a/account/financial-assets';\nmsg.param = {\n  \"connectedId\": 'byi1wYwD40k8hEIiXl6bRF',\n   \"organization\":\"0264\",\n   \"account\":\"1002440000000\",\n   \"accountPassword\":\"1234\",\n   \"inquiryType\":\"0\"\n};\n// result\n// resItemList\n// 종목별상세 반복부 객체입니다.\n// Key\tName\tType\tRequired\tDescription\n// resProductType\t상품유형\tString\tO\t\n// resProductTypeCd\t상품유형코드\tString\tO\t*(01: 주식, 02: 펀드, 03: CMA, ...)\n// resItemName\t상품/종목명\tString\t△\t\n// resItemCode\t상품/종목코드\tString\t△\t\n// resBalanceType\t잔고유형\tString\t△\t\n// resQuantity\t수량\tString\t△\t\n// resPresentAmt\t현재가\tString\t△\t\n// resAvgPresentAmt\t평균매입가\tString\t△\t\n// resPurchaseAmount\t매입금액\tString\t△\t\n// resValuationAmt\t평가금액\tString\t△\t\n// resValuationPL\t평가손익\tString\t△\t\n// resEarningsRate\t수익률\tString\t△\t\n// resAccountCurrency\t통화코드\tString\t△\t주1) 확인 필요\n// resAccountEx\t계좌번호 확장\tString\tO\t\n// resResultCode\t결과코드\tString\tO\t[상품유형별 메뉴조회결과] 0: false, 1: true (Boolean to Number) : *적용중*\n// resResultDesc\t결과 메시지\tString\t△\t[처리결과] : *적용중*\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":350,"y":2240,"wires":[["fedba1a9.57d75"]]},{"id":"7bacaaa9.2a7a74","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":2240,"wires":[["1d0af203.c78d8e"]]},{"id":"f88e7163.836c4","type":"comment","z":"d4ad27e3.29f578","name":"증권 API /v1/kr/stock/기관고객구분/상품","info":"증권 API를 사용하면 상품에 따라 엔드유저의 등록여부, 보유계좌, 입출금내역, 종합자산 API를 사용할 수 있습니다.\n\n증권 API는 개인, 법인 구분이 없습니다.\n\nAPI 요청 횟수 등은 회원 등급에 따라 다르게 제공됩니다. 자세한 내용은 가격정책  페이지를 참고하세요.\n\nEndpoint\nhttps://api.codef.io/v1/kr/stock/기관고객구분/상품\n\n기관 목록\nCODEF가 제공하는 증권 목록입니다.\n\n현재 20개 증권사를 제공합니다.\n\n증권사\t증권사 코드\t증권사\t증권사 코드\n유안타증권\t0209\tKB증권\t0218\n미래에셋대우증권(구 미래에셋증권)\t0238\t삼성증권\t0240\n한국투자증권\t0243\tNH투자증권\t0247\n교보증권\t0261\t키움증권\t0264\n이베스트투자증권\t0265\tSK증권\t0266\n대신증권\t0267\t(대신증권)크레온\t1267\n한화투자증권\t0269\t하나금융투자\t0270\n신한금융투자\t0278\tDB금융투자\t0279\n유진투자증권\t0280\t메리츠종합금융증권\t0287\n(NH투자증권)모바일증권 나무\t1247\t하이투자증권\t0262\n","x":790,"y":2180,"wires":[]},{"id":"972a6f59.d9354","type":"comment","z":"d4ad27e3.29f578","name":"은행 개인 API /v1/kr/bank/기관고객구분/상품","info":"은행 목록\nCODEF가 제공하는 은행 목록입니다.\n\n현재 20개 은행을 제공합니다.\n\n은행\t은행 코드\t은행\t은행 코드\n산업은행\t0002\t광주은행\t0034\n기업은행\t0003\t제주은행\t0035\n국민은행\t0004\t전북은행\t0037\n수협은행\t0007\t경남은행\t0039\n농협은행\t0011\t새마을금고\t0045\n우리은행\t0020\t신협은행\t0048\nSC은행\t0023\t우체국\t0071\n씨티은행\t0027\tKEB하나은행\t0081\n대구은행\t0031\t신한은행\t0088\n부산은행\t0032\tK뱅크\t0089\n금융결제원\n금융결제원은 자금결제와 정보유통을 원활하게 함으로써 건전한 금융거래의 유지 및 발전을 도모하고 금융회사 이용자의 편의를 제고하는 등 금융산업 발전에 기여할 목적으로 설립된 지급결제전문기관입니다.\n\nCODEF 금융결제원 상품을 사용하면 상품에 따라 엔드 유저의 계좌통합정보, 내카드한눈에, 금융정보 API를 사용할 수 있습니다.","x":830,"y":100,"wires":[]},{"id":"193a743a.32ffdc","type":"comment","z":"d4ad27e3.29f578","name":"은행 기업 API /v1/kr/bank/기관고객구분/상품","info":"은행 목록\nCODEF가 제공하는 은행 목록입니다.\n\n현재 20개 은행을 제공합니다.\n\n은행\t은행 코드\t은행\t은행 코드\n산업은행\t0002\t광주은행\t0034\n기업은행\t0003\t제주은행\t0035\n국민은행\t0004\t전북은행\t0037\n수협은행\t0007\t경남은행\t0039\n농협은행\t0011\t새마을금고\t0045\n우리은행\t0020\t신협은행\t0048\nSC은행\t0023\t우체국\t0071\n씨티은행\t0027\tKEB하나은행\t0081\n대구은행\t0031\t신한은행\t0088\n부산은행\t0032\tK뱅크\t0089\n금융결제원\n금융결제원은 자금결제와 정보유통을 원활하게 함으로써 건전한 금융거래의 유지 및 발전을 도모하고 금융회사 이용자의 편의를 제고하는 등 금융산업 발전에 기여할 목적으로 설립된 지급결제전문기관입니다.\n\nCODEF 금융결제원 상품을 사용하면 상품에 따라 엔드 유저의 계좌통합정보, 내카드한눈에, 금융정보 API를 사용할 수 있습니다.","x":830,"y":340,"wires":[]},{"id":"b245b56f.d1c3e8","type":"comment","z":"d4ad27e3.29f578","name":"은행 기타 API","info":"은행 업무관련 기타 상품을 제공하는 API 입니다.\n\n은행 기타 API는 예금주명, 예금주명 인증(계좌 실명 인증) API를 제공합니다.\n\n","x":730,"y":660,"wires":[]},{"id":"f901be6e.7d488","type":"comment","z":"d4ad27e3.29f578","name":"저축은행 API /v1/kr/bank/기관고객구분/상품","info":"저축은행 API를 사용하면 상품에 따라 엔드 유저의 보유계좌, 수시입출 거래내역 API를 사용할 수 있습니다. 저축은행은 개인 API만 제공합니다.\n\n같은 API 서비스임에도 각 저축은행에서 요구하는 데이터와 제공하는 데이터가 다릅니다. 이 내용을 API 문서에 정리했습니다.\n\nAPI 요청 횟수 등은 회원 등급에 따라 다르게 제공됩니다. 자세한 내용은 가격정책 페이지를 참고하세요.\n\nEndpoint\nhttps://api.codef.io/v1/kr/bank2/기관고객구분/상품\n저축은행 목록\nCODEF가 제공하는 저축은행 목록입니다.\n\n현재 64개 저축은행을 지원합니다. 별도 모듈을 사용하는 저축은행 13개, 저축은행중앙회 모듈을 사용하는 저축은행 51개 총 64개 저축은행입니다.\n\n저축은행\t저축은행 코드\t저축은행\t저축은행 코드\n저축은행중앙회\t0101\t하나저축은행\t0108\n대신저축은행\t0102\tDB저축은행\t0109\nSBI저축은행\t0103\tNH저축은행\t0110\n애큐온저축은행\t0104\tOSB저축은행\t0111\n웰컴저축은행\t0105\tBNK저축은행\t0112\nKB저축은행\t0106\t신한저축은행\t0113\n푸른저축은행\t0107\t\t\n아래 51개 저축은행은 <저축은행중앙회(저축은행 코드 : 0101)> 모듈을 사용하며, 서브도메인으로 구분합니다.\n\n저축은행\t서브도메인\t저축은행\t서브도메인\n더케이\tthek\t한국투자\tkibank\n민국\tmkb\t한화\thanwhas\n스카이\tsky\tJT\tjt\n신안\tshinan\t고려\tgoryo\n예가람\tyegaram\t조흥\tchbank\n유안타\tyuanta\t진주\tjinju\n유진\thdsb\t흥국\tehkbank\n조은\tchoeunbank\tIBK\tibksb\n키움YES\tkiwoomyes\t에스앤티\thisntm\nJT친애\tjtchinae\t강원\tgangwon\nOK\tok\t구미\tgumibank\n공평\tgpsavings\t드림\tdreamsb\n금화\tkuemhwa\t삼일\tsamil\n부림\tbulim\t유니온\tunionsb\n삼정\tsjbank\t참\tcharm\n세람\tseram\t대한\tdaehan\n안국\tanguk\t더블\tdouble\n안양\tanyang\t동양\tdy\n모아\tmoa\t삼호\tsamhosb\n남양\tnybank\t스마트\tsmart\n융창\tycbank\t세종\tsejong\n인성\tinsung\t아산\tasanbank\n인천\tincheonbank\t아주\taju\n키움\tkiwoom\t오투\to2bank\n페퍼\tpepperbank\t청주\tcjbank\n평택\tptbank\t \t \n","x":830,"y":740,"wires":[]},{"id":"eea10f15.0eb44","type":"codef","z":"d4ad27e3.29f578","action":"","x":710,"y":780,"wires":[["d202f0a5.d02e7"]]},{"id":"719a5099.2ffbb","type":"debug","z":"d4ad27e3.29f578","name":"","active":true,"tosidebar":true,"console":false,"tostatus":false,"complete":"false","statusVal":"","statusType":"auto","x":1210,"y":780,"wires":[]},{"id":"f149f8dc.f487a8","type":"function","z":"d4ad27e3.29f578","name":"","func":"\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":1020,"y":780,"wires":[["719a5099.2ffbb"]]},{"id":"d202f0a5.d02e7","type":"json","z":"d4ad27e3.29f578","name":"","property":"payload","action":"","pretty":false,"x":850,"y":780,"wires":[["f149f8dc.f487a8"]]},{"id":"e6ca0d8b.1b5eb","type":"comment","z":"d4ad27e3.29f578","name":"카드 개인 API /v1/kr/card/기관고객구분/상품","info":"카드사 API를 사용하면 상품에 따라 엔드 유저의 보유카드, 승인내역, 청구내역, 카드한도 API를 사용할 수 있습니다.\n\n카드사 API는 2가지 형태로 제공됩니다. 개인 API와 법인(개인 사업자, 법인 사업자) API입니다. 같은 API 서비스임에도 각 카드사에서 요구하는 데이터와 제공하는 데이터가 다릅니다. 이 내용을 API 문서에 정리했습니다.\n\nAPI 요청 횟수 등은 회원 등급에 따라 다르게 제공됩니다. 자세한 내용은 가격정책 페이지를 참고하세요.\n\nEndpoint\nhttps://api.codef.io/v1/kr/card/기관고객구분/상품\n카드사 목록\nCODEF가 제공하는 카드사 목록입니다.\n\n현재 14개 카드사를 제공합니다.\n\n카드사\t카드사 코드\t카드사\t카드사 코드\nKB카드\t0301\t우리카드\t0309\n현대카드\t0302\t롯데카드\t0311\n삼성카드\t0303\t하나카드\t0313\nNH카드\t0304\t전북카드\t0315\nBC카드\t0305\t광주카드\t0316\n신한카드\t0306\t수협카드\t0320\n씨티카드\t0307\t제주카드\t0321\n여신금융협회\n여신금융협회는 신용카드업, 시설대여업, 할부금융업, 신기술금융업을 영위하고 있는 여신전문금융회사를 회원으로 하는 사단법인입니다.\n\nCODEF 여신금융협회 상품을 사용하면 상품에 따라 엔드 유저의 승인내역, 입금내역, 매입내역 API를 사용할 수 있습니다.\n\n","x":830,"y":820,"wires":[]},{"id":"82f0cf3e.b6e6","type":"codef","z":"d4ad27e3.29f578","action":"","x":710,"y":1180,"wires":[["e4220627.69be38"]]},{"id":"ae13e8cb.c29458","type":"debug","z":"d4ad27e3.29f578","name":"","active":true,"tosidebar":true,"console":false,"tostatus":false,"complete":"false","statusVal":"","statusType":"auto","x":1210,"y":1180,"wires":[]},{"id":"9e97e965.1c9a08","type":"function","z":"d4ad27e3.29f578","name":"","func":"\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":1020,"y":1180,"wires":[["ae13e8cb.c29458"]]},{"id":"e4220627.69be38","type":"json","z":"d4ad27e3.29f578","name":"","property":"payload","action":"","pretty":false,"x":850,"y":1180,"wires":[["9e97e965.1c9a08"]]},{"id":"657df240.2ac23c","type":"comment","z":"d4ad27e3.29f578","name":"카드 기업 API /v1/kr/card/기관고객구분/상품","info":"카드사 API를 사용하면 상품에 따라 엔드 유저의 보유카드, 승인내역, 청구내역, 카드한도 API를 사용할 수 있습니다.\n\n카드사 API는 2가지 형태로 제공됩니다. 개인 API와 법인(개인 사업자, 법인 사업자) API입니다. 같은 API 서비스임에도 각 카드사에서 요구하는 데이터와 제공하는 데이터가 다릅니다. 이 내용을 API 문서에 정리했습니다.\n\nAPI 요청 횟수 등은 회원 등급에 따라 다르게 제공됩니다. 자세한 내용은 가격정책 페이지를 참고하세요.\n\nEndpoint\nhttps://api.codef.io/v1/kr/card/기관고객구분/상품\n카드사 목록\nCODEF가 제공하는 카드사 목록입니다.\n\n현재 14개 카드사를 제공합니다.\n\n카드사\t카드사 코드\t카드사\t카드사 코드\nKB카드\t0301\t우리카드\t0309\n현대카드\t0302\t롯데카드\t0311\n삼성카드\t0303\t하나카드\t0313\nNH카드\t0304\t전북카드\t0315\nBC카드\t0305\t광주카드\t0316\n신한카드\t0306\t수협카드\t0320\n씨티카드\t0307\t제주카드\t0321\n여신금융협회\n여신금융협회는 신용카드업, 시설대여업, 할부금융업, 신기술금융업을 영위하고 있는 여신전문금융회사를 회원으로 하는 사단법인입니다.\n\nCODEF 여신금융협회 상품을 사용하면 상품에 따라 엔드 유저의 승인내역, 입금내역, 매입내역 API를 사용할 수 있습니다.\n\n","x":830,"y":1220,"wires":[]},{"id":"3b1a5249.bddc9e","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/card/b/account/card-list","func":"\nmsg.action = '/v1/kr/card/b/account/card-list';\nmsg.param = {\n  \"connectedId\": 'byi1wYwD40k8hEIiXl6bRF',\n   \"organization\":\"0020\",\n   \"birthDate\":\"\",\n   \"inquiryType\":\"0\"\n};\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":320,"y":1180,"wires":[["82f0cf3e.b6e6"]]},{"id":"c626f497.faf388","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":1180,"wires":[["3b1a5249.bddc9e"]]},{"id":"8b5d2ced.388c","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/card/b/account/approval-list","func":"\nmsg.action = '/v1/kr/card/b/account/approval-list';\nmsg.param = {\n  \"connectedId\": 'byi1wYwD40k8hEIiXl6bRF',\n   \"organization\":\"0020\",\n   \"birthDate\":\"\",\n   \"startDate\": \"20190601\",\n   \"endDate\": \"20190619\",\n   \"orderBy\": \"0\",\n   \"inquiryType\":\"1\",\n   \"cardNo\":\"6253123456780000\",\n   \"cardName\":\"\",\n   \"duplicateCardIdx\":\"\",\n   \"memberStoreInfoType\":\"0\"\n};\n// result\n// 승인내역 데이터\n// 승인내역 data 객체입니다.\n// - 단건의 경우 객체형, 다건의 경우 리스트 형으로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resUsedDate\t사용일자\tString\tO\t\n// resUsedTime\t사용일시\tString\t△\t\n// resCardNo\t카드번호\tString\tO\t\n// resCardName\t카드명\tString\t△\t\n// resMemberStoreName\t가맹점명\tString\t△\t\n// resUsedAmount\t이용금액\tString\tO\t\n// resPaymentType\t결제방법\tString\tO\t1:일시불, \"2\":할부, \"3\":그외\n// resInstallmentMonth\t할부개월\tString\t△\t할부건인 경우 필수\n// resAccountCurrency\t통화코드\tString\tO\tKRW: 한국원화, JPY: 일본 엔, USD: 미국 달러\n// EUR: 유로( ISO 4217 코드)\n// resApprovalNo\t승인번호\tString\t△\t\n// resPaymentDueDate\t결제예정일\tString\t△\t\n// resHomeForeignType\t국내/외 구분\tString\tO\t\"1\":국내, \"2\":해외\n// resMemberStoreCorpNo\t가맹점 사업자번호\tString\t△\t\n// resMemberStoreType\t가맹점 업종\tString\t△\t\n// resMemberStoreTelNo\t가맹점 전화번호\tString\t△\t\n// resMemberStoreAddr\t가맹점 주소\tString\t△\t\n// resMemberStoreNo\t가맹점 번호\tString\t△\t해외건 또는 미승인내역의 경우 미제공\n// resCancelYN\t취소여부\tString\tO\t\"0\": 정상, \"1\": 취소, \"2\": 부분취소, \"3\": 거절\n// resCancelAmount\t취소금액\tString\t△\t취소건인경우만 제공\n// resVAT\t부가세\tString\t△\t\n// resCashBack\t봉사료\tString\t△\t\n// resKRWAmt\t원화금액\tString\t△\t\n// commStartDate\t시작일자\tString\t△\t(요청일 기준 최대 조회 가능시작일, YYYYMMDD)\n// commEndDate\t종료일자\tString\t△\t(YYYYMMDD)\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":340,"y":1220,"wires":[["82f0cf3e.b6e6"]]},{"id":"9aef5baf.8e5b38","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":1220,"wires":[["8b5d2ced.388c"]]},{"id":"132cea06.29fe86","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/card/b/account/billing-list","func":"\nmsg.action = '/v1/kr/card/b/account/billing-list';\nmsg.param = {\n  \"connectedId\": 'byi1wYwD40k8hEIiXl6bRF',\n   \"organization\":\"0020\",\n   \"birthDate\":\"\",\n   \"startDate\":\"\",\n   \"memberStoreInfoYN\":\"0\"\n};\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":330,"y":1260,"wires":[["82f0cf3e.b6e6"]]},{"id":"13954b35.99e7a5","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":1260,"wires":[["132cea06.29fe86"]]},{"id":"d2fa39a4.b43758","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/card/b/account/limit","func":"\nmsg.action = '/v1/kr/card/b/account/limit';\nmsg.param = {\n  \"connectedId\": 'byi1wYwD40k8hEIiXl6bRF',\n   \"organization\":\"0020\",\n   \"birthDate\":\"\"\n};\n\n// result\n// 카드한도 데이터\n// 카드한도 data 객체입니다.\n// - 단건의 경우 객체형, 다건의 경우 리스트 형으로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resCardCompany\t카드사\tString\t△\t카드발급사 (회원사) : NH/비씨카드에서 사용됨\n// resLimitOfTotalList\t총한도 반복부 키\tObject\tO\t\n// resLimitOfFullTotalList\t일시불 반복부 키\tObject\tO\t\n// resLimitOfInstallmentList\t할부 반복부 키\tObject\tO\t\n// resLimitOfShortLoanList\t현금서비스 반복부 키\tObject\tO\t\n// 카드한도 반복부 객체\n// resLimitOfTotalList, resLimitOfFullTotalList, resLimitOfInstallmentList, resLimitOfShortLoanList 등 4가지 객체가 같은 필드값을 갖습니다. 각 반복부에 3개 필드 값이 모두 같습니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resLimitAmount\t이용한도\tString\tO\t\n// resUsedAmount\t이용금액\tString\t△\t\n// resRemainLimit\t잔여한도\tString\t△\t\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":310,"y":1300,"wires":[["82f0cf3e.b6e6"]]},{"id":"6a45f756.eb8488","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":1300,"wires":[["d2fa39a4.b43758"]]},{"id":"a3717c37.fa6b8","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/card/b/account/purchase-details","func":"// get transaction list\nmsg.action = '/v1/kr/card/b/account/purchase-details';\nmsg.param = {\n  \"connectedId\": 'byi1wYwD40k8hEIiXl6bRF',\n    \"organization\":\"0305\",\n    \"identity\": \"\",\n    \"loginTypeLevel\":\"\",\n    \"clientTypeLevel\":\"\",\n    \"startDate\":\"20200909\",\n    \"endDate\":\"20200912\",\n    \"orderBy\":\"0\",\n    \"inquiryType\":\"1\",\n    \"cardNo\":\"\",\n    \"memberStoreInfoType\":\"\"\n};\n\n// result\n// 매입내역 출력부(Output)\n// 매입내역 데이터\n// 매입내역 data 객체입니다.\n// - 단건의 경우 객체형, 다건의 경우 리스트 형으로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resUsedDate\t사용일자\tString\tO\t \n// resUsedTime\t사용일시\tString\t△\t \n// resCardNo\t카드번호\tString\tO\t \n// resMemberStoreName\t가맹점명\tString\tO\t \n// resUsedAmount\t이용금액\tString\tO\t \n// resPaymentType\t결제방법\tString\tO\t\n// 1:일시불, \"2\":할부, \"3\":그외\n// resInstallmentMonth\t할부개월\tString\t△\t\n// 결제방법이 할부일 경우 필수\n// resAccountCurrency\t통화코드\tString\tO\t \n// resApprovalNo\t승인번호\tString\t△\t \n// resPaymentDueDate\t결제예정일\tString\t△\t[결제일]\n// resHomeForeignType\t국내/외 구분\tString\tO\t\"1\":국내, \"2\":해외\n// resCancelYN\t취소여부\tString\tO\t\n// \"0\": 정상, \"1\": 취소, \"2\": 부분취소, \"3\": 거절\n// resCancelDate\t취소일자\tString\t△\t \n// resCancelAmount\t취소금액\tString\t△\t \n// resKRWAmt\t원화금액\tString\t△\t<해외건>\n// resFee\t수수료\tString\t△\t \n// resPurchaseDate\t매입일자\tString\t△\t \n// resUseNation\t이용국가\tString\t△\t<해외건>\n// resMemberStoreType\t가맹점업종\tString\t△\t\n// <memberStoreInfoType = \"1\"인 경우>\n// resMemberStoreNo\t가맹점번호\tString\t△\t\n// <memberStoreInfoType = \"1\"인 경우>\n// resMemberStoreCorpNo\t가맹점사업자번호\tString\t△\t\n// <memberStoreInfoType = \"1\"인 경우>\n// resMemberStoreTelNo\t가맹점전화번호\tString\t△\t\n// <memberStoreInfoType = \"1\"인 경우>\n// resMemberStoreAddr\t가맹점주소\tString\t△\t\n// <memberStoreInfoType = \"1\"인 경우>\n// resForeignReceiptAmt\t해외접수금액\tString\t△\t<해외건>\n// resAccountCurrency1\t통화코드1\tString\t△\t\n// <해외건>, [해외접수금액 통화코드]\n// resExchangeRate\t환율\tString\t△\t<해외건>\n// commStartDate\t시작일자\tString\tO\t\n// (요청일 기준 최대 조회 가능시작일, YYYYMMDD)\n// commEndDate\t종료일자\tString\tO\t(YYYYMMDD)\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":350,"y":1340,"wires":[["82f0cf3e.b6e6"]]},{"id":"6d277f48.b9f9b","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":1340,"wires":[["a3717c37.fa6b8"]]},{"id":"5fb14192.0e03f","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":1380,"wires":[["10ce5b1.6afd0a5"]]},{"id":"10ce5b1.6afd0a5","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/card/b/account/approval-list","func":"\nmsg.action = '/v1/kr/card/b/account/approval-list';\nmsg.param = {\n  \"connectedId\": 'byi1wYwD40k8hEIiXl6bRF',\n    \"organization\":\"0305\",\n   \"birthDate\":\"\",\n   \"startDate\": \"20190601\",\n   \"endDate\": \"20190619\",\n   \"orderBy\": \"0\",\n   \"inquiryType\":\"1\",\n   \"cardNo\":\"6253123456780000\",\n   \"cardName\":\"\",\n   \"duplicateCardIdx\":\"\",\n   \"memberStoreInfoType\":\"0\",\n    \"departmentCode\":\"\"\n};\n// result\n// 당일 승인내역 출력부(Output)\n// 당일 승인내역 데이터\n// 당일 승인내역 data 객체입니다.\n// - 단건의 경우 객체형, 다건의 경우 리스트 형으로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resUsedDate\t사용일자\tString\tO\t \n// resUsedTime\t사용일시\tString\tO\t \n// resCardNo\t카드번호\tString\tO\t \n// resMemberStoreName\t가맹점명\tString\tO\t \n// resUsedAmount\t이용금액\tString\tO\t \n// resPaymentType\t결제방법\tString\tO\t\"1\":일시불, \"2\":할부, \"3\":그외\n// resInstallmentMonth\t할부개월\tString\t△\t결제방법이 할부일 경우 필수\n// resAccountCurrency\t통화코드\tString\tO\t\n// KRW: 한국원화, JPY: 일본 엔, USD: 미국 달러, EUR: 유로... ( ISO 4217 코드)\n// resApprovalNo\t승인번호\tString\tO\t \n// resHomeForeignType\t국내/외 구분\tString\tO\t\"1\":국내, \"2\":해외\n// resCancelYN\t취소여부\tString\tO\t\n// \"0\": 정상, \"1\": 취소, \"2\": 부분취소, \"3\": 거절\n// resCancelAmount\t취소금액\tString\t△\t \n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":340,"y":1380,"wires":[["82f0cf3e.b6e6"]]},{"id":"eb6c770f.fd12c8","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":1420,"wires":[["61ab8b5d.e77814"]]},{"id":"61ab8b5d.e77814","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/card/a/member-store/corporate-number","func":"\nmsg.action = '/v1/kr/card/a/member-store/corporate-number';\nmsg.param = {\n   \"organization\":\"0302\",\n   \"companyIdentityNo\":\"1*********\",\n   \"birthDate\":\"\"\n};\n// result\n// 가맹점정보(사업자번호) 출력부(Output)\n// 가맹점정보(사업자번호) 데이터\n// 가맹점정보(사업자번호) data 객체입니다.\n// - 단건의 경우 객체형, 다건의 경우 리스트 형으로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resMemberStoreNo\t가맹점번호\tString\tO\t\n// resMemberStoreName\t가맹점명\tString\tO\t\n// resJoinDate\t가입일\tString\tO\tYYYYMMDD\n// commEndDate\t종료일자\tString\t△\t해지일자 - YYYYMMDD\n// resUserAddr\t주소\tString\t△\t\n// resState\t상태\tString\t△\t\n// resCorpYN\t법인여부\tString\t△\tex) \"Y\", \"N\"\n// resKind\t가맹점종류\tString\t△\t\n// resCeoName\t대표자\tString\t△\t\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":370,"y":1420,"wires":[["82f0cf3e.b6e6"]]},{"id":"3ee390fd.10b82","type":"codef","z":"d4ad27e3.29f578","action":"","x":710,"y":1500,"wires":[["e43916b2.be4628"]]},{"id":"c7c7a4bb.866f88","type":"debug","z":"d4ad27e3.29f578","name":"","active":true,"tosidebar":true,"console":false,"tostatus":false,"complete":"false","statusVal":"","statusType":"auto","x":1210,"y":1500,"wires":[]},{"id":"7aafd307.9c87ec","type":"function","z":"d4ad27e3.29f578","name":"","func":"\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":1020,"y":1500,"wires":[["c7c7a4bb.866f88"]]},{"id":"e43916b2.be4628","type":"json","z":"d4ad27e3.29f578","name":"","property":"payload","action":"","pretty":false,"x":850,"y":1500,"wires":[["7aafd307.9c87ec"]]},{"id":"4a4dfdaa.6ca0d4","type":"comment","z":"d4ad27e3.29f578","name":"여신금융협회","info":"","x":730,"y":1540,"wires":[]},{"id":"733b87bb.2b3b88","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/card/a/cardsales/registration-status","func":"\nmsg.action = '/v1/kr/card/a/cardsales/registration-status';\nmsg.param = {\n    \"organization\":\"0323\",\n    \"id\":\"로그인 아이디\",\n    \"password\": \"RSA암호화된 비밀번호\",\n};\n\n// result\n// 등록여부 출력부(Output)\n// 등록여부 데이터\n// 등록여부 data 객체입니다.\n// - 단건의 경우 객체형, 다건의 경우 리스트 형으로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resRegistrationStatus\t등록여부\tString\tO\t0: false, 1: true (Boolean to Number)\n// resResultDesc\t결과메시지\tString\t△\t\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":360,"y":1500,"wires":[["3ee390fd.10b82"]]},{"id":"f196f791.cf8b48","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":1500,"wires":[["733b87bb.2b3b88"]]},{"id":"3900d578.22c78a","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/card/a/cardsales/approval-list","func":"\nmsg.action = '/v1/kr/card/a/cardsales/approval-list';\nmsg.param = {\n    \"organization\":\"0323\",\n    \"id\":\"로그인 아이디\",\n    \"password\": \"RSA암호화된 비밀번호\",\n    \"startDate\":\"20190701\",\n    \"endDate\":\"20190731\",\n    \"memberStoreGroup\":\"(주)**\"\n};\n// result\n// 승인내역 출력부(Output)\n// 승인내역 데이터\n// 승인내역 data 객체입니다.\n// - 단건의 경우 객체형, 다건의 경우 리스트 형으로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resUsedDate\t사용일자 (YYYYMMDD)\tString\tO\t\n// resUsedTime\t사용일시(HHmmss)\tString\tO\t\n// resTransTypeNm\t거래구분명\tString\tO\t구분\n// resCardNo\t카드번호\tString\tO\t1234-56*-*-7890\n// resCardName\t카드명\tString\t△\t제휴카드사\n// resUsedAmount\t이용금액\tString\tO\t승인금액\n// resInstallmentMonth\t할부개월\tString\tO\t할부기간\n// resApprovalNo\t승인번호\tString\tO\t\n// resMemberStoreCorpNo\t가맹점 사업자번호\tString\tO\t\n// commMemberStoreGroup\t가맹점 그룹\tString\tO\t\n// resCardCompany\t카드사\tString\tO\t\n// commStartDate\t시작일자\tString\tO\t요청일 기준 최대 조회 가능시작일, YYYYMMDD\n// commEndDate\t종료일자\tString\tO\tYYYYMMDD\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":340,"y":1540,"wires":[["3ee390fd.10b82"]]},{"id":"38d801e1.63b67e","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":1540,"wires":[["3900d578.22c78a"]]},{"id":"2cbd6a5b.9ebee6","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/card/a/cardsales/deposit-list","func":"\nmsg.action = '/v1/kr/card/a/cardsales/deposit-list';\nmsg.param = {\n    \"organization\":\"0323\",\n    \"id\":\"로그인 아이디\",\n    \"password\": \"RSA암호화된 비밀번호\",\n    \"startDate\":\"20190701\",\n    \"endDate\":\"20190731\",\n    \"memberStoreGroup\":\"(주)**\"\n};\n\n// result\n// 입금내역 출력부(Output)\n// 입금내역 데이터\n// 입금내역 data 객체입니다.\n// - 단건의 경우 객체형, 다건의 경우 리스트 형으로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resAccountIn\t입금금액\tString\tO\t실입금\n// commMemberStoreGroup\t가맹점 그룹\tString\tO\t\n// resCardCompany\t카드사\tString\tO\t\n// resPaymentAccount\t결제계좌\tString\tO\t\n// resBankName\t은행명\tString\tO\t결제은행\n// resDepositDate\t입금일자\tString\tO\t\n// resSalesCount\t매출건수\tString\tO\t\n// resSalesAmount\t매출금액\tString\tO\t\n// resSuspenseAmount\t보류금액\tString\tO\t\n// resMemberStoreNo\t가맹점번호\tString\tO\t\n// resOtherDeposit\t기타입금\tString\tO\t\n// commStartDate\t시작일자\tString\tO\t요청일 기준 최대 조회 가능시작일, YYYYMMDD\n// commEndDate\t종료일자\tString\tO\tYYYYMMDD\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":340,"y":1580,"wires":[["3ee390fd.10b82"]]},{"id":"bf3a5556.ff2f48","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":1580,"wires":[["2cbd6a5b.9ebee6"]]},{"id":"cbe1ceb1.018ed","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/card/a/cardsales/purchase-list","func":"\nmsg.action = '/v1/kr/card/a/cardsales/purchase-list';\nmsg.param = {\n    \"organization\":\"0323\",\n    \"id\":\"로그인 아이디\",\n    \"password\": \"RSA암호화된 비밀번호\",\n    \"startDate\":\"20190701\",\n    \"endDate\":\"20190731\",\n    \"memberStoreGroup\":\"(주)**\"\n};\n\n// result\n// 매입내역 출력부(Output)\n// 매입내역 데이터\n// 매입내역 data 객체입니다.\n// - 단건의 경우 객체형, 다건의 경우 리스트 형으로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// commMemberStoreGroup\t가맹점 그룹\tString\tO\t\n// commStartDate\t시작일자\tString\tO\t\n// commEndDate\t종료일자\tString\tO\t\n// resPurchaseHistoryList\t매입내역 반복부 키\tObject\tO\t\n// resPurchaseHistoryList\n// 매입내역 반복부 객체입니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resTotalAmount\t합계금액\tString\tO\t매입합계\n// resTotalCount\t합계건수\tString\tO\t매입건수\n// resToBePaidTotAmt\t지급예정합계\tString\tO\t(총매입금-수수료)\n// resPurchaseDate\t매입일자\tString\tO\t\n// resPurchaseDetailList\t매입내역 상세 반복부 키\tObject\tO\t\n// resPurchaseDetailList\n// 매입내역 상세 반복부 객체입니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resAccountTrDate\t거래일자\tString\tO\t\n// resCardNo\t카드번호\tString\tO\t\n// resFee\t수수료\tString\tO\t수수료 합계\n// resCardName\t카드명\tString\t△\t제휴카드\n// resApprovalNo\t승인번호\tString\tO\t\n// resMemberStoreCorpNo\t가맹점 사업자번호\tString\tO\t\n// resCardCompany\t카드사\tString\tO\t\n// resCardType\t카드구분\tString\tO\t카드종류\n// resPurchaseDate\t매입일자\tString\tO\t\n// resPurchaseAmount\t매입금액\tString\tO\t\n// resFranchiseFee\t가맹점 수수료\tString\tO\t\n// resPointFee\t포인트 수수료\tString\tO\t\n// resEtcFee\t기타 수수료\tString\tO\t\n// resPaidAmount\t지급금액\tString\tO\t\n// resToBePaidDate\t지급예정일\tString\tO\t\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":350,"y":1620,"wires":[["3ee390fd.10b82"]]},{"id":"2ad1babc.e96446","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":1620,"wires":[["cbe1ceb1.018ed"]]},{"id":"4e1438b1.433798","type":"codef","z":"d4ad27e3.29f578","action":"","x":710,"y":1680,"wires":[["c98b6bba.ec13b8"]]},{"id":"bc380ad8.b40638","type":"debug","z":"d4ad27e3.29f578","name":"","active":true,"tosidebar":true,"console":false,"tostatus":false,"complete":"false","statusVal":"","statusType":"auto","x":1210,"y":1680,"wires":[]},{"id":"a8e9a4b5.e2f618","type":"function","z":"d4ad27e3.29f578","name":"","func":"\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":1020,"y":1680,"wires":[["bc380ad8.b40638"]]},{"id":"c98b6bba.ec13b8","type":"json","z":"d4ad27e3.29f578","name":"","property":"payload","action":"","pretty":false,"x":850,"y":1680,"wires":[["a8e9a4b5.e2f618"]]},{"id":"a0401182.a59c","type":"comment","z":"d4ad27e3.29f578","name":"보험 API","info":"\n보험사를 사용하는 엔드 유저를 위한 API입니다.\n\n보험 공통상품 계약정보 API를 제공합니다.","x":720,"y":1720,"wires":[]},{"id":"6e4b500f.91f2a","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/insurance/a/insurer-product/contract-info","func":"\nmsg.action = '/v1/kr/insurance/a/insurer-product/contract-info';\nmsg.param = {\n  \"connectedId\": 'byi1wYwD40k8hEIiXl6bRF',\n   \"organization\":\"0102\",\n   \"identity\":\"86*******\",\n   \"userName\":\"홍**\",\n   \"type\":\"1\",\n   \"transeType\":\"0\",\n};\n\n// result\n\n// 계약정보 출력부(Output)\n// 계약정보 데이터\n// 계약정보 data 객체입니다.\n// - 단건의 경우 객체형, 다건의 경우 리스트 형으로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resContractInfoList\t계약사항 반복부 키\tString\tO\t\n// resLoanInfoList\t대출정보조회 반복부 키\tString\t△\t* DB손보만 사용\n// resReturnOfCancelList\t해약환급금정보조회 반복부 키\tString\t△\t* DB손보만 사용\n// resRegStatusList\t등록상태 반복부 키\tString\tO\t\n// resContractInfoList\n// 계약사항 반복부 객체입니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resPolicyNumber\t증권번호\tString\tO\t \n// resInsuranceName\t보험상품명\tString\tO\t \n// resContractor\t계약자\tString\t△\t \n// resDateOfContract\t계약일\tString\tO\t(YYYYMMDD)\n// resAccountEndDate\t만기일\tString\t△\t\"종신\"인 경우, \"99991231\"로 변경, (YYYYMMDD)\n// resPensionStartingDate\t연금개시일\tString\t△\t \n// resContractStatus\t계약상태\tString\tO\t \n// resPeriodOfInsurance\t보험기간\tString\t△\t \n// resAccountCurrency\t통화코드\tString\tO\tKRW or 빈값 : 한국원화, JPY: 일본 엔, USD: 미국 달러, EUR: 유로... ( ISO 4217 코드)\n// resPremium\t보험료\tString\t△\t \n// resTotalPremiumsPaid\t총납입보험료\tString\t△\t \n// resPaymentMethods\t납입방법\tString\t△\t \n// resPaymentCycle\t납입주기\tString\t△\t \n// resPaymentPeriod\t납입기간\tString\t△\t \n// resPaymentNumber\t납입횟수\tString\t△\t \n// resFinalPaymentMonth\t최종납입월\tString\t△\t \n// resFinalPaymentDate\t최종납입일\tString\t△\t \n// resInsuredPerson\t주피보험자\tString\t△\t \n// resWoundBeneficiary\t상해시 수익자\tString\t△\t \n// resExpirationBeneficiay\t만기시 수익자\tString\t△\t \n// resDeadBeneficiay1\t사망시 수익자1\tString\t△\t \n// resDeadBeneficiay2\t사망시 수익자2\tString\t△\t \n// resDeadBeneficiay3\t사망시 수익자3\tString\t△\t \n// resInsuredSpecies\t종피보험자\tString\t△\t \n// resTransferTarget\t이체대상\tString\t△\t \n// resBankName\t은행명\tString\t△\t \n// resAccountHolder\t예금주\tString\t△\t \n// resAccount\t계좌번호\tString\t△\t숫자만 입력\n// resTransferDate\t이체일자\tString\t△\t \n// resValidPeriod\t유효기간\tString\t△\t \n// resReceivedLoanAmount\t기대출금액\tString\t△\t대출금 조회 사이트 장애시 (\"[SITE_ERROR]\" + 사이트 오류메시지)\n// resReceivedLoanInterest\t기대출이자\tString\t△\t \n// resLoanableAmount\t대출가능액\tString\t△\t \n// resInterestRate\t대출이율\tString\t△\t \n// resReturnOfCancellation\t해약환급금\tString\t△\t해약환금금 조회 사이트 장애시 (\"[SITE_ERROR]\" + 사이트 오류메시지)\n// resDeductions\t총공제금\tString\t△\t \n// resRealReturnOfCancell\t실지급금\tString\t△\t \n// resCarNo\t차량번호\tString\t△\t \n// commCarName\t차량명\tString\t△\t \n// resCarYearModel\t차량연식\tString\t△\t \n// commCarPrice\t차량가액\tString\t△\t[총차량가액]\n// resBasicAgreementAmt7\t물적사고할증기준금액 보험료\tString\t△\t \n// resAcctInPremiumSum\t투입보험료 합계\tString\t△\t<변액보험>\n// resReserveSum\t적립금 합계\tString\t△\t<변액보험>\n// resDriverRange\t운전자범위\tString\t△\t<자동차보험>\n// resAgeSpecialAgree\t연령특약\tString\t△\t<자동차보험>\n// resManagementBranch\t관리지점\tString\t△\t \n// resManager\t관리인\tString\t△\t[담당자(FP)]\n// resPhoneNo\t전화번호\tString\t△\t \n// resResultCode\t결과코드\tString\tO\t[보험상품별 조회결과] 0: false, 1: true, 2: 결과값 상이\n// resResultDesc\t결과 메시지\tString\t△\t[처리결과] 0: 실패 메시지, 2: 결과값이 상이한 파라미터 key\n// resSpecialAgreeDetLists\t특약상세 반복부 키\tObject\tO\t \n// resCoverageLists\t보장내용 반복부 키\tObject\tO\t \n// resVariableInsInfoLists\t변액보험 정보 반복부 키\tObject\tO\t<생명보험사 변액보험>\n// resSpecialAgreeDetLists\n// 특약상세 반복부 객체입니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resNumber\t순번\tString\tO\t \n// resType\t구분\tString\t△\t인보험 : 주/특약 구분코드- 없으면 임의로 첫번째는 주계약 이후는 특약으로 구분 (주계약 : 1, 특약 : 2), 그외: 빈값\n// resHostSpecAgreeName\t주계약 및 특약명\tString\tO\t \n// resJoinAmount\t가입금액\tString\t△\t자동차 보험: [가입내역]\n// resPeriodOfInsurance\t보험기간\tString\t△\t \n// resPaymentPeriod\t납입기간\tString\t△\t \n// resPremium\t보험료\tString\t△\t \n// resAccountCurrency\t통화코드\tString\tO\tKRW or 빈값: 한국원화, JPY: 일본 엔, USD: 미국 달러, EUR: 유로... ( ISO 4217 코드)\n// resContractStatus\t계약상태\tString\t△\t \n// resType2\t구분2\tString\t△\t인보험: 주/종 피보험자 구분\n// resUserNm\t성명\tString\t△\t인보험: 주/종 피보험자 성명, 재물보험 : 목적물 등\n// resCoverageLists\n// 보장내용 반복부 객체입니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resNumber\t순번\tString\tO\t보장내역 조회 사이트 장애시 (\"[SITE_ERROR]\" + 사이트 오류메시지)\n// resCoverageName\t보장명칭\tString\t△\t \n// resReasonForPayment\t지급사유 및 보험료\tString\t△\t \n// resCoverageAmount\t보장금액\tString\t△\t \n// resAgreementType\t약정구분\tString\t△\t \n// resVariableInsInfoLists\n// 변액보험 정보 반복부 객체입니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resFundName\t펀드명\tString\tO\t \n// resInputRate\t투입비율\tString\t△\t \n// resSeparateAcctInPremium\t특별계정 투입보험료\tString\t△\t \n// resBasePrice\t기준가\tString\tO\t변액보험 정보 조회 사이트 장애시 (\"[SITE_ERROR]\" + 사이트 오류메시지)\n// resBalanceNum\t보유좌수\tString\tO\t \n// resReserve\t적립금\tString\t△\t \n// resEarningsRate\t수익률\tString\t△\t \n// resLoanInfoList\n// 대출정보조회 반복부 객체입니다. (*DB 손보만 사용)\n\n// Key\tName\tType\tRequired\tDescription\n// resPolicyNumber\t증권번호\tString\t△\tex) 12345678****\n// resInsuranceName\t보험상품명\tString\t△\t \n// resReceivedLoanAmount\t기대출금액\tString\t△\t \n// resReceivedLoanInterest\t기대출이자\tString\t-\t \n// resLoanableAmount\t대출가능액\tString\t△\t \n// resInterestRate\t대출이율\tString\t△\t \n// resReturnOfCancelList\n// 해약환급금정보조회 반복부 객체입니다. (*DB 손보만 사용)\n\n// Key\tName\tType\tRequired\tDescription\n// resPolicyNumber\t증권번호\tString\t△\tex) 123456******\n// resInsuranceName\t보험상품명\tString\t△\t \n// resPeriodOfInsurance\t보험기간\tString\t△\t \n// resPaymentNumber\t납입횟수\tString\t△\t \n// resFinalPaymentMonth\t최종납입월\tString\t△\t \n// resReturnOfCancellation\t해약환급금\tString\t△\t \n// resDeductions\t총공제금\tString\t△\t \n// resRealReturnOfCancell\t실지급금\tString\t△\t \n// resRegStatusList\n// 등록상태 반복부 객체입니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resRegistrationStatus\t등록여부\tString\tO\t\"0\":등록실패, \"1\":등록성공, \"2\":기등록, \"3\":등록 불필요, \"4\":회원가입실패, \"5\":회원가입성공\n// resResultDesc\t결과 메시지\tString\t△\t[등록/회원가입 실패사유 or 회원가입성공시 가입정보 (로그인 아이디|전화번호|이메일|주소)]\n// resContractStatus\t계약상태\tString\tO\t\"0\":미계약, \"1\":계약, \"2\":확인불가\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":380,"y":1680,"wires":[["4e1438b1.433798"]]},{"id":"95c658b8.0535e8","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":1680,"wires":[["6e4b500f.91f2a"]]},{"id":"d82f8847.6dcaa8","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/insurance/0003/damoa/maycar-list-info","func":"\nmsg.action = '/v1/kr/insurance/0003/damoa/maycar-list-info';\nmsg.param = {\n   \"organization\":\"0003\",\n   \"identity\":\"820222*****\",\n   \"birthDate\":\"\",\n   \"userName\":\"***\",\n   \"phoneNo\":\"010********\",\n   \"telecom\":\"0\",\n   \"detailParam\": \"\",\n   \"timeOut\":\"60\"\n};\n// result\n// 소유자동차정보 출력부(Output)\n// 소유자동차정보 데이터\n// 소유자동차정보 data 객체입니다.\n// - 단건의 경우 객체형, 다건의 경우 리스트 형으로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resCompanyNm\t상호(사업장명)\tString\tO\t가입보험사\n// resCarNo\t자동차번호\tString\tO\t\n// resInsuredPerson\t주피보험자\tString\t-\t제공되지 않음\n// resDateOfContract\t계약일\tString\t-\t제공되지 않음\n// resAccountEndDate\t만기일\tString\tO\t\n// commDetailParam\t상세조회Param\tString\tO\t보험료계산시 SMS 미호출을 위한 세션보관 키, (base64)\n// resCalcAbleYN\t계산가능여부\tString\t△\t0: 보험료계산불가, 1: 보험료계산가능\n// resVehicledNo\t차대번호\tString\t△\t(자동차번호 또는 차대번호 제공), 자동차보험 만기일 30일내인 차량의 경우 제공\n// resContractNo\t계약번호\tString\t△\t자동차보험 만기일 30일내인 차량의 경우 제공\n// resCarInfoList\t자동차정보 목록 반복부 키\tObject\tO\t\n// resCarInfoList\n// 자동차정보 목록 반복부 객체입니다.\n\n// Key\tName\tType\tRequired\tDescription\n// commBrandCode\t제조사코드\tString\t-\t제공되지 않음\n// commBrandName\t제조사명\tString\t-\t제공되지 않음\n// commCarCode\t자동차코드\tString\t-\t제공되지 않음\n// commCarName\t자동차명\tString\tO\t소유자동차정보 없을 경우 미제공\n// commRegYear\t등록연도\tString\t-\t제공되지 않음\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":370,"y":1720,"wires":[["4e1438b1.433798"]]},{"id":"910888a.e9ece78","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":1720,"wires":[["d82f8847.6dcaa8"]]},{"id":"cb06ee34.a805d","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/insurance/0003/damoa/insurance-fee","func":"\nmsg.action = '/v1/kr/insurance/0003/damoa/insurance-fee';\nmsg.param = {\n   \"organization\": \"0003\",\n   \"identity\": \"89****2****9\",\n   \"birthDate\": \"\",\n   \"userName\": \"윤**\",\n   \"phoneNo\": \"01012341234\",\n   \"telecom\": \"1\",\n   \"timeOut\": \"120\",\n   \"detailParam\": \"\",\n   \"optionCode\": \"11P75\",\n   \"startDate\": \"20191002\",\n   \"brandCode\": \"기아\",\n   \"carName\": \"K3\",\n   \"regYear\": \"2017\",\n   \"regYearDetail\": \"\",\n   \"detailCarName\": \"K3 1.6\",\n   \"carNo\": \"\",\n   \"baseCarType\": \"3\",\n   \"foreignCarYN\": \"0\",\n   \"basicAgreement1\": \"1\",\n   \"basicAgreement2\": \"5\",\n   \"basicAgreement3\": \"1\",\n   \"basicAgr3Detail\": \"030015\",\n   \"basicAgreement4\": \"1\",\n   \"basicAgreement5\": \"1\",\n   \"basicAgreement6\": \"1\",\n   \"basicAgreement7\": \"4\",\n   \"driverRange\": \"1\",\n   \"youngestBirth\": \"\",\n   \"blackBoxDc\": \"0\",\n   \"purchaseYear\": \"\",\n   \"purchaseAmt\": \"\",\n   \"specialDc1\": \"1\",\n   \"specialDcDetail1\": \"10000\",\n   \"specialDc2\": \"0\",\n   \"specialDc3\": \"0\",\n   \"specialDcDetail3\": \"\",\n   \"specialDc4\": \"0\",\n   \"specialDc7\": \"0\",\n   \"specialDcDetail71\": \"\",\n   \"specialDcDetail72\": \"\",\n   \"specialDc8\": \"0\",\n   \"specialDc9\": \"0\",\n   \"specialDc10\": \"0\",\n   \"specialDcDetail10\": \"\",\n   \"specialDc11\": \"0\",\n   \"specialDcDetail11\": \"0\",\n   \"specialDc12\": \"0\",\n   \"specialDc13\": \"0\",\n   \"type\": \"\",\n   \"useType\" :\"0\"\n};\n\n// result\n// 보험료계산 데이터\n// 보험료계산 data 객체입니다.\n// - 단건의 경우 객체형, 다건의 경우 리스트 형으로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resCompanyNm\t상호(사업장명)\tString\tO\t[보험사]\n// resTotalPremium\t총보험료\tString\tO\t[예상납입보험료]\n// resMileageFirstAmt\t마일리지 적용 보험료 선할인\tString\t△\t특별할인 마일리지 적용시 제공\n// resMileageAfterAmt\t마일리지 적용 보험료 후할인\tString\t△\t특별할인 마일리지 적용시 제공\n// resType\t가입형태\tString\tO\t0 : 인터넷가입\n// commDetailParam\t상세조회Param\tString\t△\t용도구분(reqUseType) 1일때 제공 - 보험료계산시 SMS 미호출을 위한 세션보관 키\n// resSpecialDcList\t특별할인 목록 반복부 키\tObject\tO\t\n// resSpecialDcList\n// 특별할인 목록 반복부 객체입니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resSpecialDcName\t특별할인 항목명\tString\tO\t\n// resSpecialDcYN\t특별할인 여부\tString\tO\t0: 미가입, 1: 가입\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":370,"y":1760,"wires":[["4e1438b1.433798"]]},{"id":"575438f.c112cc8","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":1760,"wires":[["cb06ee34.a805d"]]},{"id":"c0f3401d.4021f","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/insurance/0003/damoa/car-insurance-info","func":"\nmsg.action = '/v1/kr/insurance/0003/damoa/car-insurance-info';\nmsg.param = {\n   \"organization\":\"0003\",\n   \"identity\":\"820222*****\",\n   \"userName\":\"***\",\n   \"phoneNo\":\"010********\",\n   \"telecom\":\"0\",\n   \"timeOut\":\"60\",\n   \"carNo\":\"\",\n   \"detailParam\":\"\"\n};\n\n// result\n// 자동차보험정보 출력부(Output)\n// 자동차보험정보 데이터\n// 자동차보험정보 data 객체입니다.\n// - 단건의 경우 객체형, 다건의 경우 리스트 형으로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resCarNo\t자동차번호\tString\tO\t차량번호\n// resResultDesc\t결과 메시지\tString\t△\t조회불가시 사유\n// reqBasicAgreement1\n// 기본약정1-대인배상II\tString\t△\tex) \"가입\"\n// reqBasicAgreement2\n// 기본약정2-대물배상\tString\t△\tex) \"5억원\"\n// reqBasicAgreement3\n// 기본약정3-자기신체손해\tString\t△\tex) \"자기신체손해\"\n// reqBasicAgreement4\n// 기본약정4-무보험상해\tString\t△\tex) \"가입(2억원)\"\n// reqBasicAgreement5\n// 기본약정5-긴급출동서비스\tString\t△\t \n// reqBasicAgreement6\n// 기본약정6-자기차량손해\tString\t△\tex) \"가입\"\n// reqBasicAgreement7\n// 기본약정7-물적사고할증기준금액\tString\t△\tex) \"200만원\"\n// reqDriverRange\t기본약정8-운전자범위\tString\t△\tex) \"부부한정\"\n// reqYoungestBirth\t기본약정9-최연소자 생년월일\tString\t△\tYYYYMMDD\n// commDetailParam\n// 상세조회Param\tString\t△\t보험료계산시 SMS 미호출을 위한 세션보관 키\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":380,"y":1800,"wires":[["4e1438b1.433798"]]},{"id":"2788dfc4.f5f46","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":1800,"wires":[["c0f3401d.4021f"]]},{"id":"fc792fe6.c5e02","type":"codef","z":"d4ad27e3.29f578","action":"","x":710,"y":1860,"wires":[["f9548014.55346"]]},{"id":"58da525e.ceb49c","type":"debug","z":"d4ad27e3.29f578","name":"","active":true,"tosidebar":true,"console":false,"tostatus":false,"complete":"false","statusVal":"","statusType":"auto","x":1210,"y":1860,"wires":[]},{"id":"7f8e71b6.db2e2","type":"function","z":"d4ad27e3.29f578","name":"","func":"\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":1020,"y":1860,"wires":[["58da525e.ceb49c"]]},{"id":"f9548014.55346","type":"json","z":"d4ad27e3.29f578","name":"","property":"payload","action":"","pretty":false,"x":850,"y":1860,"wires":[["7f8e71b6.db2e2"]]},{"id":"78bdd665.f92e18","type":"comment","z":"d4ad27e3.29f578","name":" 한국신용정보원 > 내보험다보여  API","info":"\n한국신용정보원 > 내보험다보여","x":800,"y":1900,"wires":[]},{"id":"1f363b3e.9f2505","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/insurance/0001/credit4u/register","func":"\nmsg.action = '/v1/kr/insurance/0001/credit4u/register';\nmsg.param = {\n   \"organization\":\"0001\",\n   \"userName\":\"홍**\",\n   \"identity\":\"90********\",\n   \"id\":\"hn*****\",\n   \"password\":\"RSA암호화 비밀번호\",\n   \"email\":\"***@naver.com\",\n   \"telecom\":\"0\",\n   \"phoneNo\":\"010*******\",\n   \"timeout\":\"160\",\n   \"emailTimeout\": \"\",\n};\n\n// result\n// 회원가입신청 출력부(Output)\n// 회원가입신청 데이터\n// 회원가입신청 data 객체입니다.\n// - 단건의 경우 객체형, 다건의 경우 리스트 형으로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resLoginId\t로그인ID\tString\tO\t회원가입성공시 생성된 ID\n// resRegistrationStatus\t등록여부\tString\tO\t[회원가입결과]\n// \"0\" :false , \"1\" :true (회원가입 + 본인인증), \"2\": 회원가입만 성공 (본인인증 실패)\n// resResultDesc\t결과메시지\tString\t△\t가입실패 및 본인인증 실패 사유\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":350,"y":1860,"wires":[["fc792fe6.c5e02"]]},{"id":"e930e71d.8d4218","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":1860,"wires":[["1f363b3e.9f2505"]]},{"id":"2116a9ae.ff06b6","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/insurance/0001/credit4u/contract-info","func":"\nmsg.action = '/v1/kr/insurance/0001/credit4u/contract-info';\nmsg.param = {\n  \"organization\":\"0001\",\n   \"id\":\"hn*****\",\n   \"password\":\"RSA 암호화된 비밀번호\",\n   \"type\":\"0\",\n   \"userName\":\"홍**\",\n   \"identity\":\"\",\n   \"telecom\":\"0\",\n   \"phoneNo\":\"010********\",\n   \"timeout\":\"160\",\n};\n// result\n// 계약정보 출력부(Output)\n// 계약정보 데이터\n// 계약정보 data 객체입니다.\n// - 단건의 경우 객체형, 다건의 경우 리스트 형으로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resActualLossStatisticsList\t실손형보장 분석통계 반복부 키\tObject\tO\t\n// resActualLossContractList\t실손보장형 계약내용 반복부 키\tObject\tO\t\n// resFlatRateStatisticsList\t정액형보장 분석통계 반복부 키\tObject\tO\t\n// resFlatRateContractList\t정액형보장 계약내용 반복부 키\tObject\tO\t\n// resActualLossPaymentList\t실손형보장 지급내용 반복부 키\tObject\tO\t\n// resActualLossStatisticsList\n// 실손형보장 분석통계 반복부 객체입니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resCoverageName\t보장명칭\tString\t△\t\n// resSelfRegYN\t본인가입여부\tString\tO\t0: 미가입, 1: 1건가입, 2: 2건이상가입\n// resAvgGroupRegRate\t평균그룹 가입율(%)\tString\tO\t\n// resCoverageCode\t보장코드\tString\t△\t사이트상 보이지 않음\n// resActualLossContractList\n// 실손보장형 계약내용 반복부 객체입니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resNumber\t호수(매수)\tString\tO\t순번\n// resCompanyNm\t상호(사업장명)\tString\tO\t회사명\n// resCompanyNmCode\t사업장명 코드\tString\t△\t보험사 코드, 사이트상 보이지 않음, 데이터 보장 불가\n// resPolicyNumber\t증권번호\tString\tO\t\n// resPolicyNumberHid\t증권번호_hidden\tString\t△\t전체 증권번호, 사이트상 보이지 않음, 데이터 보장 불가\n// resInsuranceName\t보험상품명\tString\tO\t\n// resContractStatus\t계약상태\tString\tO\t(ex. \"정상\", \"청약철회\", \"해지\", \"만기\", \"소멸\", \"계약부활\") - 유효한 보험 = \"정상\" 건만 조회\n// resPhoneNo\t전화번호\tString\tO\t\n// resHomePage\t홈페이지\tString\tO\t\n// resInsuredPerson\t피보험자\tString\tO\t\n// resCoverageLists\t보장내용 반복부\tObject\tO\t계약상세 List\n// resCoverageLists\n// 실손보장형 계약 내용 > 보장내용 List 입니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resNumber\t호수 (매수)\tString\tO\t\n// commStartDate\t시작일자\tString\tO\t보장시작일\n// commEndDate\t종료일자\tString\tO\t보장종료일\n// resType\t구분\tString\tO\t실손구분\n// resCoverageName\t보장명칭\tString\tO\t\n// resCoverageAmount\t보장금액\tString\tO\t\n// resCoverageStatus\t보장상태\tString\tO\t\n// resFlatRateStatisticsList\n// 정액형보장 분석통계 List 입니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resCoverageName\t보장명칭\tString\tO\t\n// resSelfCoverageAmt\t본인 보장금액\tString\tO\t\n// resAvgGroupCoverageAmt\t평균그룹 보장금액\tString\tO\t\n// resCoverageCode\t보장코드\tString\t△\t사이트상 보이지 않음\n// resFlatRateContractList\n// 정액형보장 계약내용 List 입니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resNumber\t호수(매수)\tString\tO\t순번\n// commStartDate\t시작일자\tString\tO\t보장시작일(YYYYMMDD)\n// commEndDate\t종료일자\tString\tO\t(YYYYMMDD or \"종신\")\n// resCompanyNm\t상호(사업장명)\tString\tO\t회사명\n// resCompanyNmCode\t사업장명 코드\tString\t△\t보험사 코드, 사이트상 보이지 않음, 데이터 보장 불가\n// resPolicyNumber\t증권번호\tString\tO\t\n// resPolicyNumberHid\t증권번호_hidden\tString\t△\t전체 증권번호, 사이트상 보이지 않음, 데이터 보장 불가\n// resInsuranceName\t보험상품명\tString\tO\t\n// resContractor\t계약자\tString\tO\t\n// resContractStatus\t계약상태\tString\tO\t(ex. \"정상\", \"청약철회\", \"해지\", \"만기\", \"소멸\", \"계약부활\" ) - 유효한 보험 = \"정상\" 건만 조회\n// resPremium\t보험료\tString\tO\t1회 보험료\n// resPaymentCycle\t납입주기\tString\tO\t(ex. \"매월납\", \"년납\", \"일시납\")\n// resPaymentPeriod\t납입기간\tString\tO\t(ex. n년, \"종신\", \"일시납\")\n// resPhoneNo\t전화번호\tString\tO\t\n// resHomePage\t홈페이지\tString\tO\t\n// resCoverageLists\t보장내용 반복부 키\tObject\tO\t계약상세 List\n// resCoverageLists\n// 정액형 보장 계약 내용 > 보장내용 List 입니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resNumber\t호수 (매수)\tString\tO\t순번\n// resInsuredPerson\t주피보험자\tString\tO\t피보험자\n// resCoverageName\t보장명칭\tString\tO\t\n// resCoverageAmount\t보장금액\tString\tO\t\n// resAgreementType\t약정구분\tString\tO\t보장구분\n// resCoverageStatus\t보장상태\tString\tO\t\n// resCoverageCode\t보장코드\tString\t△\t사이트상 보이지 않음\n// resActualLossPaymentList\n// 실손형보장 지급내용 List 입니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resNumber\t호수 (매수)\tString\tO\t순번\n// resOccurDateTime\t발생일시\tString\tO\t원사고발생일시(yyyyMMddHHmm)\n// resCompanyNm\t상호(사업장명)\tString\tO\t회사명\n// resCompanyNmCode\t사업장명코드\tString\t△\t보험사 코드, 사이트상 보이지 않음, 데이터 보장 불가\n// resInsuranceName\t보험상품명\tString\tO\t상품명\n// resPolicyNumber\t증권번호\tString\tO\t\n// resPolicyNumberHid\t증권번호_hidden\tString\t△\t전체 증권번호, 사이트상 보이지 않음, 데이터 보장 불가\n// resTotalAmount\t합계금액\tString\tO\t총지급금액(원)\n// resDetailList\t상세내역 반복부 키\tObject\tO\t지급상세보기\n// resDetailList\n// 실손형보장 지금내용 > 상세내역 List 입니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resNumber\t호수(매수)\tString\tO\t순번\n// resPaymentDate\t지급일자\tString\tO\t\n// resType\t구분\tString\tO\t지급구분\n// resReasonForPayment\t지급사유및 보험료\tString\tO\t지급사유\n// resJudgeResult\t심사결과\tString\tO\t\n// resPaidAmount\t지급금액\tString\tO\t\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":370,"y":1900,"wires":[["fc792fe6.c5e02"]]},{"id":"9e2322ac.6bece","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":1900,"wires":[["2116a9ae.ff06b6"]]},{"id":"7abfd98b.995a88","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/insurance/0001/credit4u/find-id","func":"\nmsg.action = '/v1/kr/insurance/0001/credit4u/find-id';\nmsg.param = {\n    \"organization\":\"0001\",\n   \"userName\":\"홍**\",\n   \"identity\":\"90********\",\n   \"email\":\"***@naver.com\",\n   \"telecom\":\"0\",\n   \"phoneNo\":\"010*******\",\n   \"timeout\":\"160\",\n};\n\n// result\n// 아이디찾기 출력부(Output)\n// 아이디찾기 데이터\n// 아이디찾기 data 객체입니다.\n// - 단건의 경우 객체형, 다건의 경우 리스트 형으로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resRegistrationStatus\t등록여부\tString\tO\t[처리결과]\n// \"0\" :false , \"1\" :true\n// resResultDesc\t결과메시지\tString\t△\t처리결과 실패 메시지\n\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":350,"y":1940,"wires":[["fc792fe6.c5e02"]]},{"id":"a157aa8b.f4f048","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":1940,"wires":[["7abfd98b.995a88"]]},{"id":"e239f273.c19f6","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/insurance/0001/credit4u/change-pwd","func":"\nmsg.action = '/v1/kr/insurance/0001/credit4u/change-pwd';\nmsg.param = {\n   \"organization\":\"0001\",\n   \"userName\":\"홍**\",\n   \"identity\":\"90********\",\n   \"id\":\"hn*****\",\n   \"password\":\"RSA 암호화된 비밀번호\",\n   \"email\":\"***@naver.com\",\n   \"telecom\":\"0\",\n   \"phoneNo\":\"010*******\",\n   \"timeout\":\"160\",\n};\n\n// result\n// 비밀번호변경 출력부(Output)\n// 비밀번호변경 데이터\n// 비밀번호변경 data 객체입니다.\n// - 단건의 경우 객체형, 다건의 경우 리스트 형으로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resRegistrationStatus\t등록여부\tString\tO\t[처리결과]\n// \"0\" :false , \"1\" :true (비밀번호 변경 성공), \"2\" : 임시비밀번호 발급 성공 (변경은 못함)\n// resResultDesc\t결과메시지\tString\t△\t처리결과 실패 메시지\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":370,"y":1980,"wires":[["fc792fe6.c5e02"]]},{"id":"86f0d58b.b66918","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":1980,"wires":[["e239f273.c19f6"]]},{"id":"19445b2b.968745","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/insurance/0001/credit4u/unregister","func":"\nmsg.action = '/v1/kr/insurance/0001/credit4u/unregister';\nmsg.param = {\n   \"organization\":\"0001\",\n   \"id\":\"hn*****\",\n   \"password\":\"RSA암호화 비밀번호\",\n};\n\n// result\n// 회원탈퇴신청 출력부(Output)\n// 회원탈퇴신청 데이터\n// 회원탈퇴신청 data 객체입니다.\n// - 단건의 경우 객체형, 다건의 경우 리스트 형으로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resRegistrationStatus\t등록여부\tString\tO\t[회원탈퇴결과]\n// \"0\" :false , \"1\" :true\n// resResultDesc\t결과메시지\tString\t△\t회원탈퇴 실패 사유\n\n\n\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":360,"y":2020,"wires":[["fc792fe6.c5e02"]]},{"id":"fc43743.9af4788","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":2020,"wires":[["19445b2b.968745"]]},{"id":"4b0ad2bb.ca604c","type":"function","z":"d4ad27e3.29f578","name":"/v1/kr/insurance/0001/credit4u/registration-status","func":"\nmsg.action = '/v1/kr/insurance/0001/credit4u/registration-status';\nmsg.param = {\n    \"organization\":\"0001\",\n   \"inquiryType\" : \"0\",\n   \"id\" : \"hn*****\",\n   \"password\":\"RSA암호화 비밀번호\",\n   \"email\":\"hn1234@gmail.com\"\n};\n\n// result\n// 가입여부 출력부(Output)\n// 가입여부 데이터\n// 가입여부 data 객체입니다.\n// - 단건의 경우 객체형, 다건의 경우 리스트 형으로 반환됩니다.\n\n// Key\tName\tType\tRequired\tDescription\n// resRegistrationStatus\t등록여부\tString\tO\t[회원가입여부, 회원정보확인] 0: 미가입, 1: (회원가입 + 본인인증), \"2\": 회원가입만 성공 (본인인증 실패)\n// [중복체크] 0: 사용불가(중복), 1: 사용가능\n// resResultDesc\t결과메시지\tString\t△\t\n// resUserNm\t성명\tString\t△\tinquiryType(조회구분) = 4 (회원정보확인)이고 등록여부 = 1인 경우 필수\n// commBirthDate\t생년월일\tString\t△\tinquiryType(조회구분) = 4 (회원정보확인)이고 등록여부 = 1인 경우 필수\n// resGender\t성별\tString\t△\tinquiryType(조회구분) = 4 (회원정보확인)이고 등록여부 = 1인 경우 필수\n// ex) \"남\", \"여\"\n// resEmail\t이메일\tString\t△\tinquiryType(조회구분) = 4 (회원정보확인)이고 등록여부 = 1인 경우 필수\n\nreturn msg;","outputs":1,"noerr":0,"initialize":"","finalize":"","x":380,"y":2060,"wires":[["fc792fe6.c5e02"]]},{"id":"cc2b5711.fef5d8","type":"inject","z":"d4ad27e3.29f578","name":"","props":[{"p":"payload"},{"p":"topic","vt":"str"}],"repeat":"","crontab":"","once":false,"onceDelay":0.1,"topic":"","payload":"","payloadType":"date","x":100,"y":2060,"wires":[["4b0ad2bb.ca604c"]]}]
```

## result 

```json
{
  "result": {
    "code": "CF-00000",
    "extraMessage": "",
    "message": "성공",
    "transactionId": "5069429e367745baba92f5c12c4343de"
  },
  "data": [
    {
      "resCardType": "체크/본인",
      "resValidPeriod": "",
      "resCardName": "OO체크카드-국제ATM",
      "resTrafficYN": "불가능",
      "resIssueDate": "",
      "resUserNm": "***",
      "resSleepYN": "",
      "resCardNo": "6056********0000"
    },
    {
      "resCardType": "신용/본인",
      "resValidPeriod": "",
      "resCardName": "할인카드",
      "resTrafficYN": "불가능",
      "resIssueDate": "",
      "resUserNm": "***",
      "resSleepYN": "",
      "resCardNo": "6253********0000"
    },
    {
      "resCardType": "체크/본인",
      "resValidPeriod": "",
      "resCardName": "OO체크카드",
      "resTrafficYN": "불가능",
      "resIssueDate": "",
      "resUserNm": "***",
      "resSleepYN": "",
      "resCardNo": "4214********0000"
    }
  ]
}

```
